package com.hb.proj.model;

import java.util.Date;

public class CarConsume {
	
	private String recordId;  //t_car_consume表主键
	
	private String carId;
	
	private String carNum;
	
	private String customNum;

	private String deviceName;
	
	private String deviceModel;
	
	private Double travelMile;
	
	private Integer workHour;
	
	private Integer outHour;
	
	private Double engineWorkHour;
	
	private Date rptDate;  //统计月份
	
	private Integer  realAge;  //设备已使用年数
	
	private Double  oilTotalQuota=0.0;  //汽油月定额总量（单位公斤）
	
	private Double  coilTotalQuota=0.0; //柴油月定额总量（单位公斤）
	
	private String oilType;
	
	private Double  checkMile; //考核里程  km
	
	private Double   oilRealCost=0.0;  //汽油实耗量 单位kg
	
	private Double   coilRealCost=0.0;  //柴油实耗量 单位kg
	
	private Double   realCostPer100km;  //实际单耗  单位升
	
	private Double   quotaPer100km ;   //定额单耗 
	
	private Double  oilErp ;  //
	
	private Double oilKl ;
	
	private Double oilMeter=0.0 ;
	
	private Double  coilErp ;  //
	
	private Double coilKl ;
	
	private Double coilMeter=0.0 ;
	
	private Double coilZsh;  //柴油中石化
	
	private Double coilKlMoney ;

	private Double oilKlMoney ;
	
	private Double oilCoal; //汽油实际耗量折算吨煤
	
	private Double coilCoal;  //柴油实际耗量折算吨煤
	
	private Double oilKlKg;  //汽油昆仑卡 升转kg
	
	private Double coilKlKg;
	
	private Double oilErpKg;   //汽油ERP 升转kg
	
	private Double coilErpKg;
	
	private Double oilMeterKg;  //汽油流量计 kg
	
	private Double coilMeterKg; 
	
	private String belongOrg;
	
	private Double workCost;  //作业耗油升
	
	private Double outCost;   //野外耗油升
	
	private Double engineCost;  //发电油耗升
	
	private Double engineCostKg; //发电油耗  kg
	
	private String workArea; //作业区域
	
	private String quotaRuleId; // 关联到t_quota_rule  百公里、作业定额 记录主键 
	
	private String quotaAlternatorId; // 关联到t_quota_rule  发电机定额记录主键
	
	

	public String getCarId() {
		return carId;
	}

	public void setCarId(String carId) {
		this.carId = carId;
	}

	public String getCarNum() {
		return carNum;
	}

	public void setCarNum(String carNum) {
		this.carNum = carNum;
	}

	public String getCustomNum() {
		return customNum;
	}

	public void setCustomNum(String customNum) {
		this.customNum = customNum;
	}

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public String getDeviceModel() {
		return deviceModel;
	}

	public void setDeviceModel(String deviceModel) {
		this.deviceModel = deviceModel;
	}

	public Double getTravelMile() {
		return this.travelMile;
	}

	public void setTravelMile(Double travelMile) {
		this.travelMile = travelMile;
	}

	public Integer getWorkHour() {
		return workHour;
	}

	public void setWorkHour(Integer workHour) {
		this.workHour = workHour;
	}

	public Integer getOutHour() {
		return outHour;
	}

	public void setOutHour(Integer outHour) {
		this.outHour = outHour;
	}

	public Double getEngineWorkHour() {
		return engineWorkHour;
	}

	public void setEngineWorkHour(Double engineWorkHour) {
		this.engineWorkHour = engineWorkHour;
	}

	/*public Date getRptDate() {
		return rptDate;
	}

	public void setRptDate(Date rptDate) {
		this.rptDate = rptDate;
	}*/



	public String getOilType() {
		return this.oilType;
	}

	public void setOilType(String oilType) {
		this.oilType = oilType;
	}

	public Double getCheckMile() {
		return checkMile;
	}

	public void setCheckMile(Double checkMile) {
		this.checkMile = checkMile;
	}

	public Double getOilRealCost() {
		return oilRealCost;
	}

	public void setOilRealCost(Double oilRealCost) {
		this.oilRealCost = oilRealCost;
	}

	public Double getCoilRealCost() {
		return coilRealCost;
	}

	public void setCoilRealCost(Double coilRealCost) {
		this.coilRealCost = coilRealCost;
	}

	public Double getRealCostPer100km() {
		return realCostPer100km;
	}

	public void setRealCostPer100km(Double realCostPer100km) {
		this.realCostPer100km = realCostPer100km;
	}

	public Double getOilErp() {
		return oilErp;
	}

	public void setOilErp(Double oilErp) {
		this.oilErp = oilErp;
	}

	public Double getOilKl() {
		return oilKl;
	}

	public void setOilKl(Double oilKl) {
		this.oilKl = oilKl;
	}

	public Double getOilMeter() {
		return oilMeter;
	}

	public void setOilMeter(Double oilMeter) {
		this.oilMeter = oilMeter;
	}

	public Double getCoilErp() {
		return coilErp;
	}

	public void setCoilErp(Double coilErp) {
		this.coilErp = coilErp;
	}

	public Double getCoilKl() {
		return coilKl;
	}

	public void setCoilKl(Double coilKl) {
		this.coilKl = coilKl;
	}

	public Double getCoilMeter() {
		return coilMeter;
	}

	public void setCoilMeter(Double coilMeter) {
		this.coilMeter = coilMeter;
	}

	public Double getCoilZsh() {
		return coilZsh;
	}

	public void setCoilZsh(Double coilZsh) {
		this.coilZsh = coilZsh;
	}

	public Double getQuotaPer100km() {
		return quotaPer100km;
	}

	public void setQuotaPer100km(Double quotaPer100km) {
		this.quotaPer100km = quotaPer100km;
	}

	public Double getOilTotalQuota() {
		return oilTotalQuota;
	}

	public void setOilTotalQuota(Double oilTotalQuota) {
		this.oilTotalQuota = oilTotalQuota;
	}

	public Double getCoilTotalQuota() {
		return coilTotalQuota;
	}

	public void setCoilTotalQuota(Double coilTotalQuota) {
		this.coilTotalQuota = coilTotalQuota;
	}

	public Integer getRealAge() {
		return realAge;
	}

	public void setRealAge(Integer realAge) {
		this.realAge = realAge;
	}

	public String getRecordId() {
		return recordId;
	}

	public void setRecordId(String recordId) {
		this.recordId = recordId;
	}

	public Date getRptDate() {
		return rptDate;
	}

	public void setRptDate(Date rptDate) {
		this.rptDate = rptDate;
	}

	public Double getCoilKlMoney() {
		return coilKlMoney;
	}

	public void setCoilKlMoney(Double coilKlMoney) {
		this.coilKlMoney = coilKlMoney;
	}

	public Double getOilKlMoney() {
		return oilKlMoney;
	}

	public void setOilKlMoney(Double oilKlMoney) {
		this.oilKlMoney = oilKlMoney;
	}

	public String getBelongOrg() {
		return belongOrg;
	}

	public void setBelongOrg(String belongOrg) {
		this.belongOrg = belongOrg;
	}

	public Double getOilCoal() {
		return oilCoal;
	}

	public void setOilCoal(Double oilCoal) {
		this.oilCoal = oilCoal;
	}

	public Double getCoilCoal() {
		return coilCoal;
	}

	public void setCoilCoal(Double coilCoal) {
		this.coilCoal = coilCoal;
	}

	public Double getOilKlKg() {
		return oilKlKg;
	}

	public void setOilKlKg(Double oilKlKg) {
		this.oilKlKg = oilKlKg;
	}

	public Double getCoilKlKg() {
		return coilKlKg;
	}

	public void setCoilKlKg(Double coilKlKg) {
		this.coilKlKg = coilKlKg;
	}

	public Double getOilErpKg() {
		return oilErpKg;
	}

	public void setOilErpKg(Double oilErpKg) {
		this.oilErpKg = oilErpKg;
	}

	public Double getCoilErpKg() {
		return coilErpKg;
	}

	public void setCoilErpKg(Double coilErpKg) {
		this.coilErpKg = coilErpKg;
	}

	public Double getOilMeterKg() {
		return oilMeterKg;
	}

	public void setOilMeterKg(Double oilMeterKg) {
		this.oilMeterKg = oilMeterKg;
	}

	public Double getCoilMeterKg() {
		return coilMeterKg;
	}

	public void setCoilMeterKg(Double coilMeterKg) {
		this.coilMeterKg = coilMeterKg;
	}

	public Double getWorkCost() {
		return workCost;
	}

	public void setWorkCost(Double workCost) {
		this.workCost = workCost;
	}

	public Double getOutCost() {
		return outCost;
	}

	public void setOutCost(Double outCost) {
		this.outCost = outCost;
	}

	public Double getEngineCost() {
		return engineCost;
	}

	public void setEngineCost(Double engineCost) {
		this.engineCost = engineCost;
	}

	public String getWorkArea() {
		return workArea;
	}

	public void setWorkArea(String workArea) {
		this.workArea = workArea;
	}

	public String getQuotaRuleId() {
		return quotaRuleId;
	}

	public void setQuotaRuleId(String quotaRuleId) {
		this.quotaRuleId = quotaRuleId;
	}

	public String getQuotaAlternatorId() {
		return quotaAlternatorId;
	}

	public void setQuotaAlternatorId(String quotaAlternatorId) {
		this.quotaAlternatorId = quotaAlternatorId;
	}

	public Double getEngineCostKg() {
		return engineCostKg;
	}

	public void setEngineCostKg(Double engineCostKg) {
		this.engineCostKg = engineCostKg;
	}

	
	
	
}
