package com.hb.proj.model;

import java.util.Date;

/**
 * 各项目部上报的其它用油、合计用油（区分了汽油92#、95#）主要用于数据的上报
 * @author xe
 *
 */
public class OtherConsumeBO {

	private String recordId;
	
	private String modifier;
	
	private Date   modifyTime;
	
	private String orgId;
	
	private  Date  rptMonth;

	private Double oilCount;
	
	private Double coilCount;
	
	private Double oilCountKg;
	
	private Double coilCountKg;
	
	private Double oilErpCount;
	
	private Double oilKlCount;
	
	private Double oilKlMoney;
	
	private Double coilErpCount;
	
	private Double coilKlCount;
	
	private Double coilKlMoney;
	
	
	private Double oilErpCountKg;
	
	private Double oilKlCountKg;
	
	private Double coilErpCountKg;
	
	private Double coilKlCountKg;
	
	private Double oilCoal;  //总汽油标煤折算
	
	private Double coilCoal;
	
	private Double oilKlCoal; //昆仑卡汽油标准煤折算
	
	private Double coilKlCoal; //昆仑卡柴油标准煤折算
	
	private Double oilOthCoal; //其它汽油标准煤折算
	
	private Double coilOthCoal; //其它卡柴油标准煤折算
	
	private Double oilKl92; //昆仑卡汽油 92#
	private Double oilKl95; //昆仑卡汽油 95#
	
	private Double oilErp92; //ERP汽油 92#
	private Double oilErp95; //ERP汽油 95#
	
	public String getRecordId() {
		return recordId;
	}
	public void setRecordId(String recordId) {
		this.recordId = recordId;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	public Date getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	public Date getRptMonth() {
		return rptMonth;
	}
	public void setRptMonth(Date rptMonth) {
		this.rptMonth = rptMonth;
	}
	public Double getOilCount() {
		return oilCount;
	}
	public void setOilCount(Double oilCount) {
		this.oilCount = oilCount;
	}
	public Double getCoilCount() {
		return coilCount;
	}
	public void setCoilCount(Double coilCount) {
		this.coilCount = coilCount;
	}
	public Double getOilCountKg() {
		return oilCountKg;
	}
	public void setOilCountKg(Double oilCountKg) {
		this.oilCountKg = oilCountKg;
	}
	public Double getCoilCountKg() {
		return coilCountKg;
	}
	public void setCoilCountKg(Double coilCountKg) {
		this.coilCountKg = coilCountKg;
	}
	public Double getOilErpCount() {
		return oilErpCount;
	}
	public void setOilErpCount(Double oilErpCount) {
		this.oilErpCount = oilErpCount;
	}
	public Double getOilKlCount() {
		return oilKlCount;
	}
	public void setOilKlCount(Double oilKlCount) {
		this.oilKlCount = oilKlCount;
	}
	public Double getOilKlMoney() {
		return oilKlMoney;
	}
	public void setOilKlMoney(Double oilKlMoney) {
		this.oilKlMoney = oilKlMoney;
	}
	public Double getCoilErpCount() {
		return coilErpCount;
	}
	public void setCoilErpCount(Double coilErpCount) {
		this.coilErpCount = coilErpCount;
	}
	public Double getCoilKlCount() {
		return coilKlCount;
	}
	public void setCoilKlCount(Double coilKlCount) {
		this.coilKlCount = coilKlCount;
	}
	public Double getCoilKlMoney() {
		return coilKlMoney;
	}
	public void setCoilKlMoney(Double coilKlMoney) {
		this.coilKlMoney = coilKlMoney;
	}
	public Double getOilErpCountKg() {
		return oilErpCountKg;
	}
	public void setOilErpCountKg(Double oilErpCountKg) {
		this.oilErpCountKg = oilErpCountKg;
	}
	public Double getOilKlCountKg() {
		return oilKlCountKg;
	}
	public void setOilKlCountKg(Double oilKlCountKg) {
		this.oilKlCountKg = oilKlCountKg;
	}
	public Double getCoilErpCountKg() {
		return coilErpCountKg;
	}
	public void setCoilErpCountKg(Double coilErpCountKg) {
		this.coilErpCountKg = coilErpCountKg;
	}
	public Double getCoilKlCountKg() {
		return coilKlCountKg;
	}
	public void setCoilKlCountKg(Double coilKlCountKg) {
		this.coilKlCountKg = coilKlCountKg;
	}
	public Double getOilCoal() {
		return oilCoal;
	}
	public void setOilCoal(Double oilCoal) {
		this.oilCoal = oilCoal;
	}
	public Double getCoilCoal() {
		return coilCoal;
	}
	public void setCoilCoal(Double coilCoal) {
		this.coilCoal = coilCoal;
	}
	public Double getOilKlCoal() {
		return oilKlCoal;
	}
	public void setOilKlCoal(Double oilKlCoal) {
		this.oilKlCoal = oilKlCoal;
	}
	public Double getCoilKlCoal() {
		return coilKlCoal;
	}
	public void setCoilKlCoal(Double coilKlCoal) {
		this.coilKlCoal = coilKlCoal;
	}
	public Double getOilOthCoal() {
		return oilOthCoal;
	}
	public void setOilOthCoal(Double oilOthCoal) {
		this.oilOthCoal = oilOthCoal;
	}
	public Double getCoilOthCoal() {
		return coilOthCoal;
	}
	public void setCoilOthCoal(Double coilOthCoal) {
		this.coilOthCoal = coilOthCoal;
	}
	public Double getOilKl92() {
		return oilKl92;
	}
	public void setOilKl92(Double oilKl92) {
		this.oilKl92 = oilKl92;
	}
	public Double getOilKl95() {
		return oilKl95;
	}
	public void setOilKl95(Double oilKl95) {
		this.oilKl95 = oilKl95;
	}
	public Double getOilErp92() {
		return oilErp92;
	}
	public void setOilErp92(Double oilErp92) {
		this.oilErp92 = oilErp92;
	}
	public Double getOilErp95() {
		return oilErp95;
	}
	public void setOilErp95(Double oilErp95) {
		this.oilErp95 = oilErp95;
	}
	
	

}
