package com.hb.proj.utils;

import java.util.Calendar;

import org.apache.commons.lang.StringUtils;

import com.hb.proj.car.quota.QuotaStandardSupport;

public class RptMonthUtil {
	
	//private static int monthSplitDay=16;  //统计月份划分日期,默认16号  大于等于monthSplitDay号算下月，否则算当月
	
	/*static{
		Integer day=QuotaStandardSupport.getConfig().getMonthSplitDay();
		monthSplitDay=day!=null?day.intValue():16;
	}
	
	public static void setMonthSplitDay(int day){
		monthSplitDay=day;
	}*/
	
	
	
	public static int getMonthSplitDay(){
		Integer day=QuotaStandardSupport.getConfig().getMonthSplitDay();
		return day!=null?day.intValue():16;
	}
	
	/*public static void setSplitDay(int day){
		if(day<1||day>28){
			throw new RuntimeException("month split day should between 1 to 28,but real value is:"+day);
		}
		monthSplitDay=day;
	}*/
	
	/**
	 * 获得上一个足月的月份值
	 * @param ca
	 * @return
	 */
	public static int getFullMonthNum(Calendar ca){
		if(ca.get(Calendar.DAY_OF_MONTH)>=getMonthSplitDay()){ 
			return ca.get(Calendar.MONTH)+1;  //日历中是本月，统计中算下个月，但下个月还不足月
		}
		else{
			return ca.get(Calendar.MONTH);
		}
	}
	
	public static int getMonthNum(Calendar ca){
		if(ca.get(Calendar.DAY_OF_MONTH)>=getMonthSplitDay()){ 
			ca.add(Calendar.MONTH, 1);
		}
		
		return ca.get(Calendar.MONTH)+1;
	}

	/**
	 * 根据当前日期计算归属的统计月份
	 * @return
	 */
	public static String getDefaultMonth(){
		/*Calendar ca=Calendar.getInstance();
		String rptMonth=null;
		if(ca.get(Calendar.DAY_OF_MONTH)<16){ //小于16号算当月，否则算下月
			rptMonth=String.format("%s-%02d", ca.get(Calendar.YEAR),ca.get(Calendar.MONTH)+1);
		}
		else{
			ca.add(Calendar.MONTH, 1);
			rptMonth=String.format("%s-%02d", ca.get(Calendar.YEAR),ca.get(Calendar.MONTH)+1);
		}
		
		return rptMonth;*/
		
		return getMonth(Calendar.getInstance());
		
	}
	
	public static String getMonth(Calendar ca){
		
		if(ca.get(Calendar.DAY_OF_MONTH)>=getMonthSplitDay()){ 
			ca.add(Calendar.MONTH, 1);
		}
		
		return String.format("%d-%02d", ca.get(Calendar.YEAR),ca.get(Calendar.MONTH)+1);
		
	}
	
	/**
	 * 根据投产月份和统计月份计算实际使用年数
	 * @param startMonth
	 * @param crtMonth
	 * @return
	 */
	public static Integer getWorkAge(String startMonth,String crtMonth){
		if(StringUtils.isEmpty(startMonth)||StringUtils.isEmpty(crtMonth)){
			return null;
		}
		String[] ym=startMonth.split("-"),ym2=crtMonth.split("-");
		int age=Integer.parseInt(ym2[0])-Integer.parseInt(ym[0]);
		if(Integer.parseInt(ym2[1])>=Integer.parseInt(ym[1])){  //足月
			return age+1;
		}
		else{
			return age;
		}
	}
	
	
	public static void main(String[] args){
		System.out.println(getDefaultMonth());
	}
}
