layui.use(['element','mylayer','newtable','laydate','myform','page','autocomplete'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,page=layui.page
				  ,layer = layui.mylayer
				  ,laydate = layui.laydate
				  ,autocomplete = layui.autocomplete
				  ,table = layui.newtable;
				  
				 
				
				
			
				  
				  table.render({
				  					 elem:'#LAY-tab-oil',
				  					 height:'full-110',
				  					 url:'meter/queryFromCar.do',
				  					 page:true,
				  					 limit:50,
				  					 limits:[50,100,200],
				  					 cols:[[
										 {type: 'numbers', title: '序号', width: '60',fixed: 'left'},
										 {field: 'customNum', title: '自编号', width:120,fixed: 'left',templet:function(d){
											 let cls=d.discardIf==1?'discard-car':'';
											 if("是"==d.customTag){
												 cls=cls+" outside-car";
											 }
											 return "<div class=\""+cls+"\">"+d.customNum+"</div>";
										 }},
										 {field: 'carNum', title: '牌照号', width:120,fixed: 'left'},
				  						 {field: 'belongOrgName', title: '所属单位', width:180,align:'center'},
				  						 {field: 'deviceName', title: '设备名称', width:220,sort:true},
				  						 {field: 'deviceModel', title: '规格型号', width:260,sort:true},
				  						 //{field: 'wkStart', title: '投产年月', width:120,align:'center'},
				  						 {field: 'oilType', title: '燃油类型', width:110,align:'center'},
				  						 {field: 'meterCount', title: '油量计(个)', width:100,align:'center'},
										 {field: 'oilData', title: '油量数据', align:'center',width:200,templet:'#toolbar'}
				  						 
				  						
				  					 ]]
							    });
				
				  
				    $(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){
					
				    	table.query("LAY-tab-oil",form.val("my-query-form"));
				    	
					});	
				    
					$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
						form.clear("my-query-form");
					});	
					
				
					
					table.on('tool(filter-tab-oil)', function(obj){ 
						var data = obj.data;
						var layEvent = obj.event; 
						var subUrl=null;
						if(layEvent === 'viewHistory'){ 
							subUrl="oilHistory.html?carId="+encodeURI(data.carId)+"&carNum="+encodeURI(data.carNum);
						}
						else if(layEvent === 'viewCurve'){
							subUrl="oilCurve.html?mode=dbl&carId="+encodeURI(data.carId)+"&carNum="+encodeURI(data.carNum);
						}
						
						if(subUrl==null){
							return;
						}
						layer.open({
							title:'油位数据查看',
							type:2,
							content:subUrl,
							area:['80%','85%'],
							maxmin :true
						});
						
						
					});
				
				
				
		});