layui.use(['element','myform','page','mylayer','laydate'], function () {
	 var element = layui.element
	 ,$=layui.jquery
	 ,form=layui.myform
	 ,page=layui.page
	 ,layer = layui.mylayer
	 ,laydate = layui.laydate
	 ;
	 
	 laydate.render({
		  elem: '#installDate'
		  ,type: 'date'
		  ,trigger:'click'
	  });
	 
	 
	 
	 
	 $("#carNum").on("click",function(){
		 layer.open({
				title:'选择车辆',
				type:2,
				content:'carSel.html',
				area:['96%','96%']
				,maxmin :true
		        
		 		,beforeClose:function(ifrmWin){
		 			var record = ifrmWin.selectedRecord;
		        	if(record){
		        		$("#carNum").val(record.carNum);
			   		    $("#belongCarId").val(record.carId);
			   		    $("#oilBoxDesc").val(record.boxName);
			   		    $("#boxId").val(record.oilBox);
			   		}
		        	return true;
		 		}
		});
	 });
	 
	 $("#oilBoxDesc").on("click",function(){
		 layer.open({
				title:'选择油箱规格',
				type:2,
				content:'oilBoxSel.html',
				area:['96%','96%']
				,maxmin :true
		        
		 		,beforeClose:function(ifrmWin){
		 			var record = ifrmWin.selectedRecord;
		        	if(record){
		        		$("#oilBoxDesc").val(record.boxName);
			   		    $("#boxId").val(record.recordId);
			   		}
		        	return true;
		 		}
		});
	 });
	 
	 
	
	 $(function(){
		 var param=page.getURLParams();
		
		 form.updateInit("meter-update-form",{
			 url:"meter/get.do",
			 reqData:{recordId:param.recordId},
			 afterInit:function(data){
				 $("#carNum").val(data.carNum)
				 $("#oilBoxDesc").val(data.boxName)
			 }
		 });
		
		 
	 });
	 
	 window.submitForm=function(){
		 if(!form.verifying('meter-update-form')){
			 return;
		 }
		 var formdata=form.val('meter-update-form');
		 var url=formdata.recordId!=""?"meter/update.do":"meter/add.do";
		 page.ajax({
			 url:url,
			 data:formdata
		 },function(resp){
			 if(!resp.success){
				 layer.msg(resp.exception);
			 }
			 else{
				 layer.msg("操作成功");
				 window.success=true;
				 window.setTimeout(function(){
					 var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
					 parent.layer.close(index,{success:true}); //再执行关闭     //{success:true} 回传到父窗口中的关闭方法，和window.success=true; 效果相同只需要一个
				 },1000);
				
			 }
		 },function(){
			 layer.msg("网络请求出现错误");
		 });
	 };
	 
	});