layui.use(['element','layer','myform','page'], function () {
	 var element = layui.element
	 ,$=layui.jquery
	 ,form=layui.myform
	 ,layer = layui.layer
	 ,page=layui.page
	 ;
	 
	 $("#clearSuperbtn").on("click",function(){
		 $("#superOrgName").val("");
		 $("#superId").val("0");
	 });
	 
	 
	 $("#superOrgName").on("click",function(){
		 layer.open({
				title:'选择上级单位',
				type:2,
				content:'orgSelTree.html',
				area:['400px','75%']
				,btn: ['确定', '取消']
		        , yes: function(index, layero){
		        	var node = window[layero.find('iframe')[0]['name']].selectedNode;
		        	if(node){
		        		$("#superOrgName").val(node.name);
			   		    $("#superId").val(node.id);
		        	}
		        	
		        	layer.close(index); 
		        }
		});
	 });
	 
	 window.loadOrg=function(orgId){
		 form.updateInit("org-update-form",{
			 url:"org/get.do",
			 reqData:{orgId:orgId},
			 afterInit:function(data){
				 $("#oldSuperId").val(data.superId);
				 $("#superOrgName").val(data.superOrgName);
			 }
		 });
	 };
	 
	 var ajaxFun=function(url,reqData){
		 page.ajax({
			 url:url,
			 data:reqData
		 },function(resp){
			 if(!resp.success){
				 layer.msg(resp.exception);
			 }
			 else{
				 if(url.indexOf("delete.do")>0){
					 form.clear("org-update-form");
				 }
				 else if(url.indexOf("add.do")>0){
					 loadOrg(resp.data);
				 }
				 layer.msg("操作成功");
				 window.frames["treefrm"].refreshNode(reqData.superId);
			 }
		 },function(){
			 layer.msg("网络请求出现错误");
		 });
	 }
	 
	 form.on('submit', function(data){
		 var urlMap={savebtn:"org/update.do",addbtn:"org/add.do",delSubbtn:"org/delete.do"};
		 var reqData=data.field;
		 if(data.elem.name=="delSubbtn"){
			 layer.confirm("确定要删除该单位及下属单位吗？", {icon: 3, title:'提示'}, function(index){
				 reqData["delModel"]="sub";
				 ajaxFun(urlMap[data.elem.name],reqData);
				 layer.close(index);
			 });
			
		 }
		 else{
			 ajaxFun(urlMap[data.elem.name],reqData);
		 }
		 
	 });
	 
	 
});