layui.use(['element','mylayer','newtable','laydate','myform','page'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,page=layui.page
				  ,layer = layui.mylayer
				  ,table = layui.newtable;
				  
				 
				  
				  table.render({
				  					 elem:'#LAY-tab-user',
				  					 height:'full-110',
				  					 url:'./user/query.do',
				  					 page:true,
				  					 cols:[[
										 {type: 'numbers', title: '序号', width:60},
				  						 {field: 'userName', title: '姓名', width:100},
				  						 {field: 'loginId', title: '账号', width:90},
				  						 {field: 'orgName', title: '单位', width:180},
										 {field: 'createTime', title: '创建时间', width:140,align:'right'},
				  						
										 {field: 'operate', title: '操作', width:160,align:'center',toolbar:'#toolbar'}
				  						
				  					 ]]
							    });
				$(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){
					//table.reload("LAY-tab-user");
					table.query("LAY-tab-user",form.val("my-query-form"));
				});	
				$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
					form.clear("my-query-form");
				});	
				
				$("#addbtn").on("click",function(){
					layer.open({
						title:'注册新用户',
						type:2,
						content:'userUpdate.html',
						area:['800px','400px']
						,maxmin :true
						,btn: ['提交', '取消']
						, yes: function(index, layero){
					    	var win=window[layero.find('iframe')[0]['name']];
					    	win.submitForm();
					    }
					    ,beforeClose:function(ifrmWin,obj){
					    	if(ifrmWin.success){
					    		table.refresh("LAY-tab-user");
					    	}
					    	return true;
					    }
						
					});
				});
				
				table.on('tool(tab-user)', function(obj){ 
					var data = obj.data;
					var layEvent = obj.event; 
					if(layEvent === 'edit'){ 
						layer.open({
							title:'用户数据编辑',
							type:2,
							content:'userUpdate.html?userId='+encodeURI(data.userId),
							area:['800px','400px']
							,btn: ['提交', '取消']
						    , yes: function(index, layero){
						    	var win=window[layero.find('iframe')[0]['name']];
						    	win.submitForm();
						    }
							,beforeClose:function(ifrmWin,obj){
						    	if(ifrmWin.success){
						    		table.refresh("LAY-tab-user");
						    	}
						    	return true;
						    }
							,maxmin :true
						});
					}
					else if(layEvent === 'del'){
						layer.confirm("确定要删除该记录吗？", {icon: 3, title:'提示'}, function(index){
							page.ajax({
								 url:"user/delete.do",
								 data:{userId:data.userId}
							 },function(resp){
								 if(!resp.success){
									 layer.msg(resp.exception);
								 }
								 else{
									 layer.msg("操作成功");
									 table.refresh("LAY-tab-user");
								 }
							 },function(){
								 layer.msg("网络请求出现错误");
							 });
							layer.close(index);
						}) ;
					}
					
				});
				
				
		});