layui.use(['element','layer','newtable','laydate','myform','validator','page'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,validator=layui.validator
				  ,layer = layui.layer
				  ,laydate = layui.laydate
				  ,page=layui.page
				  ,table = layui.newtable;
				  
				  laydate.render({
					  elem: '#rptYear'
					  ,type: 'year'
				  });
				  
				  $("#rptYear").val(page.getNow("yyyy"));
				  
				  $("#usOrg").text("上报部门："+((page.getSettings()).orgName||""));
				  
				  var tabIns=table.render({
				  					 elem:'#LAY-tab-workload',
				  					 height:'full-110',
				  					 url:'workload/load.do',
				  					 page:false,
				  					 limit:30,
				  					 cols:[[
										
				  						 {field: 'rptMonth', title: '月份', width:160,align:'center',templet:function(d){
											 return d.rptMonth.substr(0,7);
										 }},
				  						 {field: 'wellCount', title: '井次', width:160,align:'right',edit:'text',error:'应为大于0的数字',dataType:'Number'},
				  						 {field: 'industryValue', title: '工业产值<br>(万元)', width:160,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
										 {field: 'addedValue', title: '企业增加值<br>(万元)', width:180,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'}
				  						
				  						
				  					 ]]
							    });
				
				  
				$(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){

					table.query("LAY-tab-workload",form.val("my-query-form"));
				});	
				
				$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
					form.clear("my-query-form");
				});	
				
				$(".my-query-form").on("click",".layui-btn[lay-filter='sendbtn']",function(evn){
					var btn=$(this);
					if(btn.text()=="提交中"){
						return;
					}
					
					var datas=table.getUpdatedRecord("LAY-tab-workload");
					if(datas==0){
						layer.msg("数据没有编辑无需提交");
					}
					else{
						 page.ajax({
							 url:"workload/save.do",
							 data:{jsonDatas:JSON.stringify(datas)}
						 },function(resp){
							 btn.text("提交上报数据");
							 if(!resp.success){
								 layer.msg(resp.exception);
							 }
							 else{
								 layer.msg("操作成功");
								 table.clearUpdateTag("LAY-tab-workload");
								 table.query("LAY-tab-workload",form.val("my-query-form"));
							 }
						 },function(){
							 btn.text("提交上报数据");
							 layer.msg("网络请求出现错误");
						 });
						 
						 btn.text("提交中");
					}
				});	
				
				
				table.on('afterEdit(filter-tab-workload)', function(obj){
					
					var col=obj.col
					,tr=obj.tr
					,td=$(tr).find("td[data-field='"+obj.field+"']");
					var rst=validator.validate(obj.value,col.require,col.dataType);
					if(!rst){
						layer.tips(col.error||'数据格式不正确', td,{tips: 3});
					}
					return rst;
				});
				
				
		});