layui.use(['element','layer','newtable','laydate','myform','validator','page'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,validator=layui.validator
				  ,layer = layui.layer
				  ,laydate = layui.laydate
				  ,page=layui.page
				  ,table = layui.newtable;
				  
				  laydate.render({
					  elem: '#rptYear'
					  ,type: 'year'
				  });
				  
				  $("#usOrg").text("上报部门："+((page.getSettings()).orgName||""));
				  
				  var tabIns=table.render({
				  					 elem:'#LAY-tab-wpg-input',
				  					 height:'full-110',
				  					 url:'wpg/loadWpg.do',
				  					 page:false,
				  					 limit:30,
				  					 cols:[[
										
				  						 {field: 'rptMonth', title: '月份', width:100,align:'center',templet:function(d){
											 return d.rptMonth.substr(0,7);
										 }},
				  						 {field: 'waterCount', title: '水用量<br>(立方米)', width:100,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
										 {field: 'waterCost', title: '水费<br>(元)', width:80,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
										 {field: 'powerCount', title: '电用量<br>(千瓦*时)', width:100,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
				  						 {field: 'powerCost', title: '电费<br>(元)', width:80,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
				  						 {field: 'ngasCount', title: '天然气用量<br>(立方米)', width:100,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
				  						 {field: 'ngasCost', title: '天然气费<br>(元)', width:100,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
				  						 {field: 'lgasCount', title: '液化气用量<br>(公斤)', width:100,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
				  						 {field: 'lgasCost', title: '液化气费<br>(元)', width:100,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'}
				  						
				  						
				  					 ]],
									 done:function(resp){
									 		//var datas=resp.data;
											//console.log("had load data:"+datas.length);
									  }
							    });
				
				  
				$(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){

					table.query("LAY-tab-wpg-input",form.val("my-query-form"));
				});	
				
				$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
					form.clear("my-query-form");
				});	
				
				$(".my-query-form").on("click",".layui-btn[lay-filter='sendbtn']",function(evn){
					var btn=$(this);
					if(btn.text()=="提交中"){
						return;
					}
					
					var datas=table.getUpdatedRecord("LAY-tab-wpg-input");
					if(datas==0){
						layer.msg("数据没有编辑无需提交");
					}
					else{
						 page.ajax({
							 url:"wpg/save.do",
							 data:{jsonDatas:JSON.stringify(datas)}
						 },function(resp){
							 btn.text("提交上报数据");
							 if(!resp.success){
								 layer.msg(resp.exception);
							 }
							 else{
								 if(resp.data){
									 layer.alert(resp.data);
								 }
								 else{
									 layer.msg("操作成功");
								 }
								 
								 table.clearUpdateTag("LAY-tab-wpg-input");
								 table.query("LAY-tab-wpg-input",form.val("my-query-form"));
							 }
						 },function(){
							 btn.text("提交上报数据");
							 layer.msg("网络请求出现错误");
						 });
						 
						 btn.text("提交中");
					}
				});	
				
				
				table.on('afterEdit(tab-wpg-input)', function(obj){
					/*var me=this;
					var t=tabIns;
					var value = obj.value //得到修改后的值
					return false;*/
					//table.validate(obj);
					var col=obj.col
					,tr=obj.tr
					,td=$(tr).find("td[data-field='"+obj.field+"']");
					var rst=validator.validate(obj.value,col.require,col.dataType);
					if(!rst){
						layer.tips(col.error||'数据格式不正确', td,{tips: 3});
					}
					return rst;
				});
				
				
		});