layui.use(['element','mylayer','myform','page','jquery','laydate','formula2'], function () {
	 var element = layui.element
	 ,$=layui.jquery
	 ,form=layui.myform
	 ,layer = layui.mylayer
	 ,page=layui.page
	 ,laydate = layui.laydate
	 ,laytpl = layui.laytpl
	 ,formula=layui.formula2
	 ;
	 
	 $("#year").val(page.getNow("yyyy"));
	 
	 laydate.render({
		  elem: '#year'
		  ,type: 'year'
		  ,done:function(value,date, endDate){
			if(value!=""){
				$("#year").val(value);
				query();
			}
						 
		  }			  	
	  });
	 
	 
	
	 
	 $("button[lay-filter='querybtn']").on("click",function(){
		 query();
	 });
	 
	 $(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
			form.clear("my-query-form");
	 });
	 
	 $("button[lay-filter='exportbtn']").on("click",function(){
		 var exptitle=$(".rptbox .rptHeader").text();
		 exptitle=exptitle.replace(/[\s\n\r]+/g,"");
		 exportTableData($,"rpt/export/tableToXls.do",2,4);
		 layer.msg("开始导出");
	 });
	 
	 var loading=null;
	 var query=function(){
		 page.ajax({
			 url:"rpt/rptEnergyCost.do",
			 dataType:"text",
			 data:{year:$("#year").val()}
		  },function(resp){
			 layer.close(loading);
			 if(resp.indexOf("rpt-table-box")>=0){
				 $(".rptbox").html(resp);
				 formula.start();
				 rptSizing($);
				 return;
			 }
			 var respObj=JSON.parse(resp);
			 
			 if(respObj.success!=null&&respObj.success==false){
				 layer.msg(respObj.exception);
				 
			 }
			 
		 },function(){
			 layer.close(loading);
			 layer.msg("网络请求出现错误");
		 });
		 
		 loading = layer.msg('正在加载数据', {icon: 16, shade: 0.3, time:0});

	 }
	 
	 query();
	 
	
});