//设置报表相关部分的尺寸，针对有冻结行列功能报表
/**
 * 
 * @param $
 * @param $box 针对一个页面有多个报表，需要指定报表容器
 */
function rptSizing($,$box){
	$box=$box||$(".rptbox");
	var sizeFun=function(){
			 var boxH=$box.height(),heardH=$box.find(".rptHeader").outerHeight();
			 var h=boxH-heardH-$box.find(".rpt-table-box>.rpt-table-header").height();
			 var tabMain=$box.find(".rpt-table-main");
			 tabMain.height(h);
			 var hasHScroll=tabMain[0].scrollWidth>tabMain[0].clientWidth;
			 if(hasHScroll){ //有横向滚动条时,减滚动条高度,默认17px，精确处理应该根据浏览器实际表现获取
				 h-=17;
			 }
			 $box.find(".rpt-table-fixed>.rpt-table-body").height(h);
			 
			 //报表居中
			 var bh=$box.width();//$("body").width();
			 var $tabbox=$box.find(".rpt-table-box");
			 if(bh>$tabbox.width()){
				 var mleft=(bh-$tabbox.width())/2;
				 $tabbox.css("margin-left",mleft+"px");
				 $box.find(".rptHeader>.subHeader").css("margin-left",mleft+"px");
			 }
	};
	
	window.onresize=sizeFun ;
	sizeFun();
		 //同步冻结行，列滚动
	$box.find(".rpt-table-box .rpt-table-main").on("scroll",function(){
			
			 var st=$(this).scrollTop();
			 var sl=$(this).scrollLeft();
			 $box.find(".rpt-table-fixed>.rpt-table-body").scrollTop(st);
			 $box.find(".rpt-table-box>.rpt-table-header").scrollLeft(sl);
			
			  
			  
		 });
	 }

/**
 * 对冻结列进行数据同步(冻结列的数据不需要另行处理，只需要从原始列引用)
 * @param $box 整个报表的容器
 */
function synchFrozenColumn($,$box){
	$box=$box||$(".rptbox");
	srcTab=$box.find(".rpt-table-main>table")[0];
	$forzenTab=$box.find(".rpt-table-fixed>.rpt-table-body>table");
	
	var ridx=0,cidx=0,srcTd=null;
	$forzenTab.find("tr").each(function(r,tr){
		ridx=tr.rowIndex;
		$(tr).find("td").each(function(c,td){
			cidx=td.cellIndex;
			srcTd=srcTab.rows[ridx].cells[cidx];
			$(td).find(".rpt-table-cell").text($(srcTd).find(".rpt-table-cell").text());
		});
	});
	
}