<#setting number_format="#.####">
<div class="rptHeader">
<span class="mainHeader">${orgName}${rptMonthTitle}单车油耗台账明细表</span>
<p style="font-size:16px;color:#333;">(汽油均价¥：${oilPrice!''}(元/千克)&nbsp;&nbsp;&nbsp;&nbsp;柴油均价¥：${coilPrice!''}(元/千克))</p>
</div>
<style>
.rpttab-cell-0{width:40px;}
.rpttab-cell-1{width:90px;}
.rpttab-cell-2{width:120px;}
.rpttab-cell-3{width:330px;}
.rpttab-cell-4{width:80px;}
.rpttab-cell-5{width:80px;}
.rpttab-cell-6{width:100px;}
.rpttab-cell-7{width:160px;}
.rpttab-cell-8{width:90px;}
.rpttab-cell-9{width:90px;}
.rpttab-cell-10{width:90px;}
.rpttab-cell-11{width:60px;}
.rpttab-cell-12{width:60px;}
.rpttab-cell-13{width:85px;}
.rpttab-cell-14{width:70px;}
.rpttab-cell-15{width:70px;}
.rpttab-cell-16{width:70px;}

.rpttab-cell-17{width:70px;}
.rpttab-cell-18{width:70px;}
.rpttab-cell-19{width:70px;}
.rpttab-cell-20{width:70px;}
.rpttab-cell-21{width:70px;}
.rpttab-cell-22{width:70px;}
.rpttab-cell-23{width:70px;}
</style>
<div class="rpt-table-box">
  <div class="rpt-table-header">
<table cellpadding="0" cellspacing="0" class="rpt-table" align="center">

<tr>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">序号</div></td>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-1">时间</div></td>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-2">设备名称</div></td>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-3">规格型号</div></td>
<td colspan="2"><div class="rpt-table-cell">设备编号</div></td>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-6 line-half">定额单耗<br>(L/100km)</div></td>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-7 line-half">作业区域</div></td>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-8 line-half">考核里程<br>(km)</div></td>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-9 line-half">行驶里程<br>(km)</div></td>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-10 line-half">作业小时<br>(h)</div></td>

<td rowspan="2"><div class="rpt-table-cell rpttab-cell-12 line-half">发电机<br>工作小时(h)</div></td>
<td colspan="2"><div class="rpt-table-cell">定额量(kg)</div></td>
<td colspan="2"><div class="rpt-table-cell">加油量(kg)</div></td>
<td colspan="2"><div class="rpt-table-cell">节超量(kg)</div></td>

<td rowspan="2" patch><div class="rpt-table-cell rpt-patch-cell"></div></td>
</tr>
<tr>
<td><div class="rpt-table-cell rpttab-cell-4">自编号</div></td>
<td><div class="rpt-table-cell rpttab-cell-5">牌照号</div></td>
<td><div class="rpt-table-cell rpttab-cell-13">汽油</div></td>
<td><div class="rpt-table-cell rpttab-cell-14">柴油</div></td>
<td><div class="rpt-table-cell rpttab-cell-15">汽油</div></td>
<td><div class="rpt-table-cell rpttab-cell-16">柴油</div></td>
<td><div class="rpt-table-cell rpttab-cell-17">汽油</div></td>
<td><div class="rpt-table-cell rpttab-cell-18">柴油</div></td>

</tr>
</table>
</div>

 <div class="rpt-table-body rpt-table-main">
      <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">
<#list datas as item>
<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">${item_index + 1}</div></td>
<td><div class="rpt-table-cell rpttab-cell-1">${rptMonthCell}</div></td>
<td><div class="rpt-table-cell rpttab-cell-2">${item.deviceName!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-3">${item.deviceModel!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-4">${item.customNum!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-5">${item.carNum}</div></td>
<td><div class="rpt-table-cell rpttab-cell-6">${item.unionQuotaPer100km!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-7">${item.workArea!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-8">${item.checkMile!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-9">${item.travelMile!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-10">${item.workHour!""}</div></td>

<td><div class="rpt-table-cell rpttab-cell-12">${item.engineWorkHour!""}</div></td>

<td><div class="rpt-table-cell rpttab-cell-13">${item.oilTotalQuota!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-14">${item.coilTotalQuota!""}</div></td>


<td><div class="rpt-table-cell rpttab-cell-15">${item.oilRealCost!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-16">${item.coilRealCost!""}</div></td>

<td><div class="rpt-table-cell rpttab-cell-17">${item.oilTotalQuota-item.oilRealCost}</div></td>
<td><div class="rpt-table-cell rpttab-cell-18">${item.coilTotalQuota-item.coilRealCost}</div></td>





</tr>
</#list>


<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0"></div></td>
<td><div class="rpt-table-cell rpttab-cell-1">${rptMonthCell}</div></td>
<td><div class="rpt-table-cell rpttab-cell-2">其它油耗</div></td>
<td><div class="rpt-table-cell rpttab-cell-3"></div></td>
<td><div class="rpt-table-cell rpttab-cell-4"></div></td>
<td><div class="rpt-table-cell rpttab-cell-5"></div></td>
<td><div class="rpt-table-cell rpttab-cell-6"></div></td>
<td><div class="rpt-table-cell rpttab-cell-7"></div></td>
<td><div class="rpt-table-cell rpttab-cell-8"></div></td>
<td><div class="rpt-table-cell rpttab-cell-9"></div></td>
<td><div class="rpt-table-cell rpttab-cell-10"></div></td>

<td><div class="rpt-table-cell rpttab-cell-12"></div></td>
<td><div class="rpt-table-cell rpttab-cell-13"></div></td>
<td><div class="rpt-table-cell rpttab-cell-14"></div></td>
<td><div class="rpt-table-cell rpttab-cell-15">${(otherConsume.oilCountKg)!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-16">${(otherConsume.coilCountKg)!""}</div></td>
<td><div class="rpt-table-cell rpttab-cell-17"></div></td>
<td><div class="rpt-table-cell rpttab-cell-18"></div></td>


</tr>

<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0"></div></td>
<td><div class="rpt-table-cell rpttab-cell-1">${rptMonthCell}</div></td>
<td><div class="rpt-table-cell rpttab-cell-2">累计</div></td>
<td><div class="rpt-table-cell rpttab-cell-3"></div></td>
<td><div class="rpt-table-cell rpttab-cell-4"></div></td>
<td><div class="rpt-table-cell rpttab-cell-5"></div></td>
<td><div class="rpt-table-cell rpttab-cell-6"></div></td>
<td><div class="rpt-table-cell rpttab-cell-7"></div></td>
<td formula="sum(I1:I${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
<td formula="sum(J1:J${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-9"></div></td>
<td formula="sum(K1:K${datas?size})" decimal="1"><div class="rpt-table-cell rpttab-cell-10"></div></td>

<td formula="sum(L1:L${datas?size})" decimal="1"><div class="rpt-table-cell rpttab-cell-12"></div></td>
<td formula="sum(M1:M${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-13"></div></td>
<td formula="sum(N1:N${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-14"></div></td>
<td formula="sum(O1:O${datas?size+1})" decimal="2"><div class="rpt-table-cell rpttab-cell-15"></div></td>
<td formula="sum(P1:P${datas?size+1})" decimal="2"><div class="rpt-table-cell rpttab-cell-16"></div></td>
<td formula="sum(Q1:Q${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-17"></div></td>
<td formula="sum(R1:R${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-18"></div></td>


</tr>

 </table>
      
</div>


<div class="rpt-table-fixed">
     <div class="rpt-table-header">
        <table cellpadding="0" cellspacing="0" class="rpt-table" align="center">
			<tr>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">序号</div></td>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-1">时间</div></td>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-2">设备名称</div></td>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-3">规格型号</div></td>
			<td colspan="2"><div class="rpt-table-cell">设备编号</div></td>
           </tr>
           <tr>
			<td><div class="rpt-table-cell rpttab-cell-4">自编号</div></td>
			<td><div class="rpt-table-cell rpttab-cell-5">牌照号</div></td>
		   </tr>
        </table>
     </div>
    <div class="rpt-table-body">
        <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">
			<#list datas as item>
			<tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">${item_index + 1}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">${rptMonthCell}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">${item.deviceName!""}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">${item.deviceModel!""}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-4">${item.customNum!""}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-5">${item.carNum}</div></td>
		    </tr>
		    </#list>
		    <tr class="dataRow">
				<td><div class="rpt-table-cell rpttab-cell-0"></div></td>
				<td><div class="rpt-table-cell rpttab-cell-1">${rptMonthCell}</div></td>
				<td><div class="rpt-table-cell rpttab-cell-2">其它油耗</div></td>
				<td><div class="rpt-table-cell rpttab-cell-3"></div></td>
				<td><div class="rpt-table-cell rpttab-cell-4"></div></td>
				<td><div class="rpt-table-cell rpttab-cell-5"></div></td>
			</tr>
			<tr class="dataRow">
				<td><div class="rpt-table-cell rpttab-cell-0"></div></td>
				<td><div class="rpt-table-cell rpttab-cell-1">${rptMonthCell}</div></td>
				<td><div class="rpt-table-cell rpttab-cell-2">累计</div></td>
				<td><div class="rpt-table-cell rpttab-cell-3"></div></td>
				<td><div class="rpt-table-cell rpttab-cell-4"></div></td>
				<td><div class="rpt-table-cell rpttab-cell-5"></div></td>
			</tr>
		</table>
    </div>
</div>