<#setting number_format="#.####">
<div class="rptHeader">
<span class="mainHeader">${orgName}${rptMonthTitle}各类车型油耗汇总表</span>
</div>
<style>
.rpttab-cell-0{width:40px;}
.rpttab-cell-1{width:180px;}
.rpttab-cell-2{width:80px;}
.rpttab-cell-3{width:80px;}
.rpttab-cell-4{width:80px;}
.rpttab-cell-5{width:80px;}
.rpttab-cell-6{width:80px;}
.rpttab-cell-7{width:80px;}
.rpttab-cell-8{width:80px;}
.rpttab-cell-9{width:80px;}
.rpttab-cell-10{width:80px;}
.rpttab-cell-11{width:80px;}
.rpttab-cell-12{width:80px;}
.rpttab-cell-13{width:80px;}
.rpttab-cell-14{width:80px;}
.rpttab-cell-15{width:80px;}
.rpttab-cell-16{width:80px;}
</style>

<div class="rpt-table-box">
  <div class="rpt-table-header">
	<table cellpadding="0" cellspacing="0" class="rpt-table" align="center">
	
		<tr>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">序号</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-1">设备名称</div></td>
		
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-2" style="height:56px;">考核里程(km)</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-3" style="height:56px;">行驶里程(km)</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-4" style="height:56px;">作业小时(h)</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-5" style="height:56px;">野外小时(h)</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-6" style="height:56px;">发电机工作小时(h)</div></td>
		<td colspan="2"><div class="rpt-table-cell">定额量(kg)</div></td>
		<td colspan="2"><div class="rpt-table-cell">实耗量(kg)</div></td>
		<td colspan="2"><div class="rpt-table-cell">节超量(kg)</div></td>
		
		<td rowspan="2" patch><div class="rpt-table-cell rpt-patch-cell"></div></td>
		</tr>
		<tr>
		<td><div class="rpt-table-cell rpttab-cell-7">汽油</div></td>
		<td><div class="rpt-table-cell rpttab-cell-8">柴油</div></td>
		<td><div class="rpt-table-cell rpttab-cell-9">汽油</div></td>
		<td><div class="rpt-table-cell rpttab-cell-10">柴油</div></td>
		<td><div class="rpt-table-cell rpttab-cell-11">汽油</div></td>
		<td><div class="rpt-table-cell rpttab-cell-12">柴油</div></td>
		
		</tr>
	</table>
  </div>

<div class="rpt-table-body rpt-table-main">
      <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">
		<#list datas as item>
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-0">${item_index + 1}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">${item.deviceName!""}</div></td>
		
		<td><div class="rpt-table-cell rpttab-cell-2">${item.checkMile!""}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">${item.travelMile!""}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">${item.workHour!""}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">${item.outHour!""}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-6">${item.engineWorkHour!""}</div></td>
		
		<td><div class="rpt-table-cell rpttab-cell-7">${item.oilTotalQuota!""}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-8">${item.coilTotalQuota!""}</div></td>
		
		<td><div class="rpt-table-cell rpttab-cell-9">${item.oilRealCost!""}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-10">${item.coilRealCost!""}</div></td>
		
		<td><div class="rpt-table-cell rpttab-cell-11">${item.oilTotalQuota-item.oilRealCost}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-12">${item.coilTotalQuota-item.coilRealCost}</div></td>
		
		
		
		</tr>
		</#list>
	
	
	
		<tr>
		<td><div class="rpt-table-cell rpttab-cell-0"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">其它油耗</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-3"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-4"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-5"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-9">${(otherConsume.oilCountKg)!""}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-10">${(otherConsume.coilCountKg)!""}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-11"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-12"></div></td>
		
		</tr>
	
		<tr>
		<td><div class="rpt-table-cell rpttab-cell-0"></td>
		<td><div class="rpt-table-cell rpttab-cell-1">累计</td>
		<td formula="sum(C1:C${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-2"></div></td>
		<td formula="sum(D1:D${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-3"></div></td>
		<td formula="sum(E1:E${datas?size})" decimal="1"><div class="rpt-table-cell rpttab-cell-4"></div></td>
		<td formula="sum(F1:F${datas?size})" decimal="1"><div class="rpt-table-cell rpttab-cell-5"></div></td>
		<td formula="sum(G1:G${datas?size})" decimal="1"><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td formula="sum(H1:H${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td formula="sum(I1:I${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td formula="sum(J1:J${datas?size+1})" decimal="2"><div class="rpt-table-cell rpttab-cell-9"></div></td>
		<td formula="sum(K1:K${datas?size+1})" decimal="2"><div class="rpt-table-cell rpttab-cell-10"></div></td>
		<td formula="sum(L1:L${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-11"></div></td>
		<td formula="sum(M1:M${datas?size})" decimal="2"><div class="rpt-table-cell rpttab-cell-12"></div></td>
		
		</tr>
	</table>
  </div>
  
   <div class="rpt-table-fixed">
     <div class="rpt-table-header">
        <table cellpadding="0" cellspacing="0" class="rpt-table" align="center">
           <tr>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0" style="height:57px;line-height:56px;">序号</div></td>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-1" style="height:57px;line-height:56px;">设备名称</div></td>
		   </tr>
        </table>
     </div>
     <div class="rpt-table-body">
       <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">
        <#list datas as item>
          <tr>
			<td><div class="rpt-table-cell rpttab-cell-0"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
		  </tr>
		</#list>
		<tr>
			<td><div class="rpt-table-cell rpttab-cell-0"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">其它油耗</div></td>
		</tr>
		<tr>
			<td><div class="rpt-table-cell rpttab-cell-0"></td>
			<td><div class="rpt-table-cell rpttab-cell-1">累计</td>
		</tr>
       </table>
     </div>
   </div>
   
</div>