<#setting number_format="#.####">
<div class="rptHeader">
${rptTitle}柴油车分类耗油统计
</div>
<table cellpadding="0" cellspacing="0" class="tabView" align="center" style="width:350mm;">
<colgroup>
<col style="width:15mm"/>
<col style="width:30mm"/>
<col style="width:12mm"/>
<col style="width:30mm"/>
<#list orgDS as org>
<col style="width:12mm"/>
<col style="width:30mm"/>
</#list>

<col style="width:30mm"/>
</colgroup> 
<tr class="header">
<td rowspan="2">序号</td>
<td  rowspan="2">车辆类型</td>
<td colspan="2">用油汇总</td>
<#list orgDS as org>
<td colspan="2">${org.orgName}</td>
</#list>
<td>备注</td>
</tr>

<tr class="header">
<td>车辆台数</td>
<td>耗油量<br>(kg)</td>
<#list orgDS as org>
<td>车辆台数</td>
<td>耗油量<br>(kg)</td>
</#list>
<td></td>
</tr>


<#list carTypeDS as type>
<tr class="dataRow">
<td>${type_index+1}</td>
<td>${type.codeName}</td>
<td formula="${formulaDS['${type.codeId}']!''}"></td>
<td formula="${formulaDS['${type.codeId}_coil']!''}" decimal="2"></td>
<#list orgDS as org>
<td>${carCountDS['${type.codeId}_${org.orgId}']!0}</td>
<td>${coilCostDS['${type.codeId}_${org.orgId}']!0}</td>
</#list>
<td>${type.spare1}</td>
</tr>
</#list>


<tr class="dataRow">
<td colspan="2">合计</td>
<td formula="${formulaDS.totalCar}"></td>
<td formula="${formulaDS.totalCoil}" decimal="2"></td>
<#list orgDS as org>
<td formula="${formulaDS['${org.orgId}']!''}"></td>
<td formula="${formulaDS['${org.orgId}_coil']!''}" decimal="2"></td>
</#list>
<td></td>
</tr>

</table>