<#setting number_format="#.####">
<div class="rptHeader">
<span class="mainHeader">${rptTitle}用能用水统计汇总</span>
</div>
<style>
.rpttab-cell-0{width:120px;}
.rpttab-cell-1{width:100px;}
.rpttab-cell-2{width:100px;}
.rpttab-cell-3{width:70px;}
.rpttab-cell-4{width:70px;}
.rpttab-cell-5{width:70px;}
.rpttab-cell-6{width:70px;}
.rpttab-cell-7{width:70px;}
.rpttab-cell-8{width:70px;}
.rpttab-cell-9{width:70px;}
.rpttab-cell-10{width:70px;}
.rpttab-cell-11{width:70px;}
.rpttab-cell-12{width:70px;}
.rpttab-cell-13{width:70px;}
.rpttab-cell-14{width:70px;}
.rpttab-cell-15{width:70px;}

.rpttab-cell-16{width:70px;}
.rpttab-cell-17{width:70px;}
.rpttab-cell-18{width:70px;}
.rpttab-cell-19{width:70px;}
.rpttab-cell-20{width:70px;}
.rpttab-cell-21{width:70px;}
.rpttab-cell-22{width:70px;}
.rpttab-cell-23{width:70px;}
.rpttab-cell-24{width:70px;}
.rpttab-cell-25{width:70px;}
.rpttab-cell-26{width:70px;}
.rpttab-cell-27{width:70px;}
.rpttab-cell-28{width:70px;}
.rpttab-cell-29{width:70px;}
.rpttab-cell-30{width:70px;}
.rpttab-cell-31{width:70px;}
.rpttab-cell-32{width:70px;}
.rpttab-cell-33{width:70px;}
.rpttab-cell-34{width:70px;}
.rpttab-cell-35{width:70px;}
.rpttab-cell-36{width:70px;}
.rpttab-cell-37{width:70px;}
.rpttab-cell-38{width:70px;}
</style>
<div class="rpt-table-box">
  <div class="rpt-table-header">
<table cellpadding="0" cellspacing="0" class="rpt-table" align="center">

<tr>
<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">能源种类</div></td>
<td colspan="2"><div class="rpt-table-cell">累计值</div></td>
<#list months as mth>
<td colspan="3"><div class="rpt-table-cell">${mth.month}</div></td>
</#list>
<td rowspan="2" patch><div class="rpt-table-cell rpt-patch-cell"></div></td>
</tr>
<tr>
<td><div class="rpt-table-cell rpttab-cell-1">消费量</div></td>
<td><div class="rpt-table-cell rpttab-cell-2">金额(万元)</div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}">金额</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">消费量</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">同比</div></td>
</#list>
</tr>
</table>
</div>
 <div class="rpt-table-body rpt-table-main">
      <table cellpadding="0" cellspacing="0"  class="rpt-table workload-tab" align="center" rptYear="${year}">
<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">天然气(万立方米)</div></td>
<td formula="${sums['ngasCount']}" decimal="4"><div class="rpt-table-cell rpttab-cell-1"></div></td>
<td formula="${sums['ngasMoney']}" decimal="4"><div class="rpt-table-cell rpttab-cell-2"></div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}">#{(ds['${mth.monthNum}'].wpg.ngasCost)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">#{(ds['${mth.monthNum}'].wpg.ngasCount)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].ngasCompared)!''}</div></td>
</#list>
</tr>


<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">电(万千瓦时)</div></td>
<td formula="${sums['powerCount']}" decimal="4"><div class="rpt-table-cell rpttab-cell-1"></div></td>
<td formula="${sums['powerMoney']}" decimal="4"><div class="rpt-table-cell rpttab-cell-2"></div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}">#{(ds['${mth.monthNum}'].wpg.powerCost)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">#{(ds['${mth.monthNum}'].wpg.powerCount)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].powerCompared)!''}</div></td>
</#list>
</tr>

<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">汽油(吨)</div></td>
<td formula="${sums['oilCount']}" decimal="3"><div class="rpt-table-cell rpttab-cell-1"></div></td>
<td formula="${sums['oilMoney']}" decimal="4"><div class="rpt-table-cell rpttab-cell-2"></div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}">#{(ds['${mth.monthNum}'].erpKl.oilMoney)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">#{(ds['${mth.monthNum}'].oilTotal)!0;m3M3}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].oilCompared)!''}</div></td>
</#list>
</tr>

<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">柴油(吨)</div></td>
<td formula="${sums['coilCount']}" decimal="3"><div class="rpt-table-cell rpttab-cell-1"></div></td>
<td formula="${sums['coilMoney']}" decimal="4"><div class="rpt-table-cell rpttab-cell-2"></div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}">#{(ds['${mth.monthNum}'].erpKl.coilMoney)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">#{(ds['${mth.monthNum}'].coilTotal)!0;m3M3}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].coilCompared)!''}</div></td>
</#list>
</tr>


<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">液化气(吨)</div></td>
<td formula="${sums['lgasCount']}" decimal="3"><div class="rpt-table-cell rpttab-cell-1"></div></td>
<td formula="${sums['lgasMoney']}" decimal="4"><div class="rpt-table-cell rpttab-cell-2"></div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}">#{(ds['${mth.monthNum}'].wpg.lgasCost)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">#{(ds['${mth.monthNum}'].wpg.lgasCount)!0;m3M3}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].ygasCompared)!''}</div></td>
</#list>
</tr>

<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">综合能耗(吨标煤)</div></td>
<td formula="${sums['coalCount']}" decimal="3"><div class="rpt-table-cell rpttab-cell-1"></div></td>
<td formula="C1+C2+C3+C4+C5" decimal="4"><div class="rpt-table-cell rpttab-cell-2"></div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}"></div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">#{(ds['${mth.monthNum}'].coals)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].coalCompared)!''}</div></td>
</#list>
</tr>

<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">水(万立方米)</div></td>
<td formula="${sums['waterCount']}" decimal="4"><div class="rpt-table-cell rpttab-cell-1"></div></td>
<td formula="${sums['waterMoney']}" decimal="4"><div class="rpt-table-cell rpttab-cell-2"></div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}">#{(ds['${mth.monthNum}'].wpg.waterCost)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">#{(ds['${mth.monthNum}'].wpg.waterCount)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].waterCompared)!''}</div></td>
</#list>
</tr>

<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">井次</div></td>
<td><div class="rpt-table-cell rpttab-cell-1">#{(dssum.wellCount)!0;m0M0}</div></td>
<td><div class="rpt-table-cell rpttab-cell-2">${dssum.wellCountCompared!''}</div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}"></div></td>
<td  data-field="wellCount" data-format="0" data-msg="整数数值"><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">${(ds['${mth.monthNum}'].workload.wellCount)!0}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].wellCountCompared)!''}</div></td>
</#list>
</tr>


<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">工业产值(万元)</div></td>
<td><div class="rpt-table-cell rpttab-cell-1">#{(dssum.industryValue)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-2">${dssum.industryValueCompared!''}</div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}"></div></td>
<td  data-field="industryValue" data-format="0.0000" data-msg="最多4位小数的数值"><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">${(ds['${mth.monthNum}'].workload.industryValue)!0}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].industryValueCompared)!''}</div></td>
</#list>
</tr>


<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">企业增加值(万元)</div></td>
<td><div class="rpt-table-cell rpttab-cell-1">#{(dssum.addedValue)!0;m4M4}</div></td>
<td><div class="rpt-table-cell rpttab-cell-2">${dssum.addedValueCompared!''}</div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}"></div></td>
<td   data-field="addedValue" data-format="0.0000" data-msg="最多4位小数的数值"><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">${(ds['${mth.monthNum}'].workload.addedValue)!0}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].addedValueCompared)!''}</div></td>
</#list>
</tr>


<tr class="dataRow">
<td><div class="rpt-table-cell rpttab-cell-0">发电机(吨)</div></td>
<td><div class="rpt-table-cell rpttab-cell-1">#{(dssum.engineCost)!0;m3M3}</div></td>
<td><div class="rpt-table-cell rpttab-cell-2">${dssum.engineCostCompared!''}</div></td>
<#list months as mth>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3}"></div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+1}">#{(ds['${mth.monthNum}'].carConsume.engineCostKg)!0;m3M3}</div></td>
<td><div class="rpt-table-cell rpttab-cell-${(mth_index+1)*3+2}">${(ds['${mth.monthNum}'].engineCostCompared)!''}</div></td>
</#list>
</tr>

</table>
</div>

<div class="rpt-table-fixed">
     <div class="rpt-table-header">
        <table cellpadding="0" cellspacing="0" class="rpt-table" align="center">
			<tr>
				<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">能源种类</div></td>
				<td colspan="2"><div class="rpt-table-cell">累计值</div></td>
			</tr>
			<tr>
				<td><div class="rpt-table-cell rpttab-cell-1">消费量</div></td>
				<td><div class="rpt-table-cell rpttab-cell-2">金额(万元)</div></td>
			</tr>
		</table>
    </div>
    <div class="rpt-table-body">
      <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">
         <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">天然气(万立方米)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		 </tr>
		 <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">电(万千瓦时)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		 </tr>
		 <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">汽油(吨)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		  </tr>
		  <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">柴油(吨)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		  </tr>
		  <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">液化气(吨)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		  </tr>
		  <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">综合能耗(吨标煤)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		  </tr>
		  <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">水(万立方米)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		  </tr>
		  <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">累计井次</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		  </tr>
		  <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">工业产值(万元)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		  </tr>
		  <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">企业增加值(万元)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		  </tr>
		   <tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">发电机(吨)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
			<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		  </tr>
	 </table>
  </div>
</div>

</div>
