<#setting number_format="#.####">
<div class="rptHeader">
${rptMonth}月ERP、昆仑卡数据校正
</div>
<table cellpadding="0" cellspacing="0" class="tabView erp-tab" align="center">
<colgroup>
<col style="width:40mm"/>
<col style="width:30mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>

</colgroup> 
<tr class="header">
<td rowspan="2">单位</td>
<td rowspan="2">月份</td>
<td colspan="2">ERP汽油</td>
<td colspan="2">ERP柴油</td>

</tr>
<tr class="header">
<td>吨</td>
<td>元</td>
<td>吨</td>
<td>元</td>
</tr>

<tr class="dataRow">
<td rowspan="3">物资供应站<br>ERP数据</td>
<td>当月</td>
<td class="editable" tabIndex="0" data-field="oilCount" data-format="0.000" data-msg="最多3位小数的数值">${(erp.oilCount)!""}</td>
<td class="editable" tabIndex="1" data-field="oilMoney" data-format="0.00" data-msg="最多2位小数的数值">${(erp.oilMoney)!""}</td>
<td class="editable" tabIndex="2" data-field="coilCount" data-format="0.000" data-msg="最多3位小数的数值">${(erp.coilCount)!""}</td>
<td class="editable" tabIndex="3" data-field="coilMoney" data-format="0.00" data-msg="最多2位小数的数值">${(erp.coilMoney)!""}</td>
</tr>

<tr class="dataRow">
<td>累计</td>
<td class="editable" tabIndex="6" data-field="oilCountSum" data-format="0.000" data-msg="最多3位小数的数值">${(erp.oilCountSum)!""}</td>
<td class="editable" tabIndex="7" data-field="oilMoneySum" data-format="0.00" data-msg="最多2位小数的数值">${(erp.oilMoneySum)!""}</td>
<td class="editable" tabIndex="8" data-field="coilCountSum" data-format="0.000" data-msg="最多3位小数的数值">${(erp.coilCountSum)!""}</td>
<td class="editable" tabIndex="9" data-field="coilMoneySum" data-format="0.00" data-msg="最多2位小数的数值">${(erp.coilMoneySum)!""}</td>

</tr>

<tr class="dataRow">
<td>差额校正</td>
<td class="editable" tabIndex="10" data-field="oilCountCorrect" data-format="0.000" data-require="false" data-msg="最多3位小数的数值">${(erp.oilCountCorrect)!""}</td>
<td class="editable" tabIndex="11" data-field="oilMoneyCorrect" data-format="0.00" data-require="false" data-msg="最多2位小数的数值">${(erp.oilMoneyCorrect)!""}</td>
<td class="editable" tabIndex="12" data-field="coilCountCorrect" data-format="0.000" data-require="false" data-msg="最多3位小数的数值">${(erp.coilCountCorrect)!""}</td>
<td class="editable" tabIndex="13" data-field="coilMoneyCorrect" data-format="0.00" data-require="false" data-msg="最多2位小数的数值">${(erp.coilMoneyCorrect)!""}</td>

</tr>

</table>

<div class="rptHeader">
ERP+昆仑卡总合计
</div>
<table cellpadding="0" cellspacing="0" class="tabView" align="center">
<colgroup>
<col style="width:40mm"/>
<col style="width:30mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:30mm"/>
<col style="width:30mm"/>
</colgroup> 
<tr class="header">
<td rowspan="2">单位</td>
<td rowspan="2">月份</td>
<td colspan="2">汽油</td>
<td colspan="2">柴油</td>
<td rowspan="2">运输用柴油</td>

</tr>
<tr class="header">
<td>吨</td>
<td>万元</td>
<td>吨</td>
<td>万元</td>
</tr>

<tr class="dataRow">
<td rowspan="2">ERP+昆仑卡总合计</td>
<td>当月</td>
<td>#{(erpKl.oilCount)!0;m3M3}</td>
<td>${(erpKl.oilMoney)!""}</td>
<td>#{(erpKl.coilCount)!0;m3M3}</td>
<td>${(erpKl.coilMoney)!""}</td>
<td>#{trasportOil!0;m3M3}</td>
</tr>

<tr class="dataRow">
<td>累计</td>
<td>#{(erpKlSum.oilCountSum)!0;m3M3}</td>
<td>${(erpKlSum.oilMoneySum)!""}</td>
<td>#{(erpKlSum.coilCountSum)!0;m3M3}</td>
<td>${(erpKlSum.coilMoneySum)!""}</td>
<td>#{trasportSumOil!0;m3M3}</td>
</tr>


</table>

<div class="rptHeader">

</div>
<table cellpadding="0" cellspacing="0" class="tabView wpg-tab" align="center">
<colgroup>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
</colgroup>
<tr class="header">
<td>水电气</td>
<td>水用量<br>(万立方米)</td>
<td>水费<br>(万元)</td>
<td>电用量<br>(万千瓦·时)</td>
<td>电费<br>(万元)</td>
<td>天然气用量<br>(万立方米)</td>
<td>天然气费<br>(万元)</td>
<td>液化气用量<br>(吨)</td>
<td>液化气费<br>(万元)</td>
</tr>

<tr class="dataRow">
<td>差额校正</td>
<td class="editable" tabIndex="0" data-field="waterCountCorrect" data-format="0.0000" data-require="false" data-msg="最多4位小数的数值">#{(wpgCorrect.waterCountCorrect)!0;m4M4}</td>
<td class="editable" tabIndex="1" data-field="waterCostCorrect" data-format="0.0000" data-require="false" data-msg="最多4位小数的数值">#{(wpgCorrect.waterCostCorrect)!0;m4M4}</td>
<td class="editable" tabIndex="2" data-field="powerCountCorrect" data-format="0.0000" data-require="false" data-msg="最多4位小数的数值">#{(wpgCorrect.powerCountCorrect)!0;m4M4}</td>
<td class="editable" tabIndex="3" data-field="powerCostCorrect" data-format="0.0000" data-require="false" data-msg="最多4位小数的数值">#{(wpgCorrect.powerCostCorrect)!0;m4M4}</td>
<td class="editable" tabIndex="4" data-field="ngasCountCorrect" data-format="0.0000" data-require="false" data-msg="最多4位小数的数值">#{(wpgCorrect.ngasCountCorrect)!0;m4M4}</td>
<td class="editable" tabIndex="5" data-field="ngasCostCorrect" data-format="0.0000" data-require="false" data-msg="最多4位小数的数值">#{(wpgCorrect.ngasCostCorrect)!0;m4M4}</td>
<td class="editable" tabIndex="6" data-field="lgasCountCorrect" data-format="0.000" data-require="false" data-msg="最多3位小数的数值">#{(wpgCorrect.lgasCountCorrect)!0;m3M3}</td>
<td class="editable" tabIndex="7" data-field="lgasCostCorrect" data-format="0.0000" data-require="false" data-msg="最多4位小数的数值">#{(wpgCorrect.lgasCostCorrect)!0;m4M4}</td>
</tr>

<tr class="dataRow">
<td>当月</td>
<td>${(wpg.waterCount)!""}</td>
<td>${(wpg.waterCost)!""}</td>
<td>${(wpg.powerCount)!""}</td>
<td>${(wpg.powerCost)!""}</td>
<td>${(wpg.ngasCount)!""}</td>
<td>${(wpg.ngasCost)!""}</td>
<td>${(wpg.lgasCount)!""}</td>
<td>${(wpg.lgasCost)!""}</td>
</tr>

<tr class="dataRow">
<td>当月合计</td>
<td formula="B2+B3" decimal="4"></td>
<td formula="C2+C3" decimal="4"></td>
<td formula="D2+D3" decimal="4"></td>
<td formula="E2+E3" decimal="4"></td>
<td formula="F2+F3" decimal="4"></td>
<td formula="G2+G3" decimal="4"></td>
<td formula="H2+H3" decimal="3"></td>
<td formula="I2+I3" decimal="4"></td>
</tr>
</table>


<div class="rptHeader">

</div>
<table cellpadding="0" cellspacing="0" class="tabView wkload-tab" align="center">
<colgroup>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
<col style="width:40mm"/>
</colgroup>
<tr class="header">
<td>类型</td>
<td>井次</td>
<td>工业产值(万元)</td>
<td>企业增加值(万元)</td>
</tr>
<tr class="dataRow">
<td>截止到上月累计</td>
<td>#{(workloadSum.wellCount)!0;m0M0}</td>
<td>#{(workloadSum.industryValue)!0;m4M4}</td>
<td>#{(workloadSum.addedValue)!0;m4M4}</td>
</tr>

<tr class="dataRow">
<td tabIndex="0">本月</td>
<td class="editable" tabIndex="1" data-field="wellCount" data-format="0" data-require="false" data-msg="整数数值">#{(workload.wellCount)!0;m0M0}</td>
<td class="editable" tabIndex="2" data-field="industryValue" data-format="0.0000" data-require="false" data-msg="最多4位小数的数值">#{(workload.industryValue)!0;m4M4}</td>
<td class="editable" tabIndex="3" data-field="addedValue" data-format="0.0000" data-require="false" data-msg="最多4位小数的数值">#{(workload.addedValue)!0;m4M4}</td>
</tr>
</table>
<div  style="text-align:center;margin:10px 0px;"><button type="button" class="layui-btn  layui-btn-normal cal-btn">计算本月值(输入累计值时用)</button></div>