<#setting number_format="#.####">
<div class="rptHeader">
<span class="mainHeader">${rptMonthTitle}水电气汇总表</span>
</div>
<style>
.rpttab-cell-0{width:120px;}
.rpttab-cell-1{width:60px;}
.rpttab-cell-2{width:100px;}
.rpttab-cell-3{width:100px;}
.rpttab-cell-4{width:100px;}
.rpttab-cell-5{width:100px;}
.rpttab-cell-6{width:100px;}
.rpttab-cell-7{width:100px;}
.rpttab-cell-8{width:100px;}
.rpttab-cell-9{width:100px;}
.dblh-cell{height:56px;}
</style>
<div class="rpt-table-box">
  <div class="rpt-table-header">
	<table cellpadding="0" cellspacing="0" class="rpt-table" align="center">

		<tr>
			<td><div class="rpt-table-cell rpttab-cell-0 dblh-cell">单位</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1 dblh-cell">月份</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2 dblh-cell">水用量<br>(立方米)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3 dblh-cell">水费<br>(元)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-4 dblh-cell">电用量<br>(千瓦·时)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-5 dblh-cell">电费<br>(元)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-6 dblh-cell">天然气用量<br>(立方米)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-7 dblh-cell">天然气费费<br>(元)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-8 dblh-cell">液化气用量<br>(千克)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-9 dblh-cell">液化气费<br>(元)</div></td>
			<td  patch><div class="rpt-table-cell rpt-patch-cell"></div></td>
		</tr>
    </table>
  </div>

   <div class="rpt-table-body rpt-table-main">
      <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">
		<#list orgDS as item>
		<tr class="dataRow">
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">${item.orgName}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">当月</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-2">${(monthDS['${item.orgId}'].waterCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-3">${(monthDS['${item.orgId}'].waterCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-4">${(monthDS['${item.orgId}'].powerCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-5">${(monthDS['${item.orgId}'].powerCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-6">${(monthDS['${item.orgId}'].ngasCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-7">${(monthDS['${item.orgId}'].ngasCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-8">${(monthDS['${item.orgId}'].lgasCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-9">${(monthDS['${item.orgId}'].lgasCost)!0}</div></td>
		 
		</tr>
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-1">累计</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-2">${(sumDS['${item.orgId}'].waterCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-3">${(sumDS['${item.orgId}'].waterCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-4">${(sumDS['${item.orgId}'].powerCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-5">${(sumDS['${item.orgId}'].powerCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-6">${(sumDS['${item.orgId}'].ngasCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-7">${(sumDS['${item.orgId}'].ngasCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-8">${(sumDS['${item.orgId}'].lgasCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-9">${(sumDS['${item.orgId}'].lgasCost)!0}</div></td>
		 
		</tr>
		
		</#list>

		<tr class="dataRow">
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">合计</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">当月</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-2">${(monthDS['合计'].waterCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-3">${(monthDS['合计'].waterCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-4">${(monthDS['合计'].powerCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-5">${(monthDS['合计'].powerCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-6">${(monthDS['合计'].ngasCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-7">${(monthDS['合计'].ngasCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-8">${(monthDS['合计'].lgasCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-9">${(monthDS['合计'].lgasCost)!0}</div></td>
		</tr>
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-1">累计</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">${(sumDS['合计'].waterCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-3">${(sumDS['合计'].waterCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-4">${(sumDS['合计'].powerCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-5">${(sumDS['合计'].powerCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-6">${(sumDS['合计'].ngasCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-7">${(sumDS['合计'].ngasCost)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-8">${(sumDS['合计'].lgasCount)!0}</div></td>
		 <td><div class="rpt-table-cell rpttab-cell-9">${(sumDS['合计'].lgasCost)!0}</div></td>
		</tr>
	</table>
   </div>
   
   <div class="rpt-table-fixed">
      <div class="rpt-table-header">
        <table cellpadding="0" cellspacing="0" class="rpt-table" align="center">
           <tr>
			<td><div class="rpt-table-cell rpttab-cell-0 dblh-cell" style="line-height:56px;">单位</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1 dblh-cell" style="line-height:56px;">月份</div></td>
		   </tr>
        </table>
      </div>
       <div class="rpt-table-body">
        <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">
            <#list orgDS as item>
				<tr class="dataRow">
					<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">${item.orgName}</div></td>
					<td><div class="rpt-table-cell rpttab-cell-1">当月</div></td>
			    </tr>
				<tr class="dataRow">
				    <td><div class="rpt-table-cell rpttab-cell-1">累计</div></td>
				</tr>
		    </#list>
		    <tr class="dataRow">
				<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">合计</div></td>
				<td><div class="rpt-table-cell rpttab-cell-1">当月</div></td>
			</tr>
			<tr class="dataRow">
				<td><div class="rpt-table-cell rpttab-cell-1">累计</div></td>
			</tr>
        </table>
       </div>
   </div>
 
 </div>