<#setting number_format="#.####">
<div class="rptHeader">
 <span class="mainHeader"></span>
</div>
<style>

#ratioRpt .rpttab-cell-0{width:120px;}
#ratioRpt .rpttab-cell-1{width:100px;}
#ratioRpt .rpttab-cell-2{width:80px;}
#ratioRpt .rpttab-cell-3{width:80px;}
#ratioRpt .rpttab-cell-4{width:120px;}
#ratioRpt .rpttab-cell-5{width:120px;}
#ratioRpt .rpttab-cell-6{width:120px;}
#ratioRpt .rpttab-cell-7{width:120px;}
#ratioRpt .rpttab-cell-8{width:90px;}
#ratioRpt .rpttab-cell-9{width:90px;}
#ratioRpt .dblline-cell{height:40px;}
#ratioRpt .single-line .rpt-table-cell{height:40px;line-height:40px !important;}
#ratioRpt .dbl-line .dblline-cell{height:40px;line-height:20px;}
</style>
<div class="rpt-table-box">
  <div class="rpt-table-header">
    <table cellpadding="0" cellspacing="0" class="rpt-table" align="center">
		<tr>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">指标名称</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-1">计算单位</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-2">本年</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-3">上年同期</div></td>
		<td colspan="2"><div class="rpt-table-cell" style="text-align:center;">本年</div></td>
		<td colspan="2"><div class="rpt-table-cell" style="text-align:center;">上年同期</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-8">同期比(%)</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-9">分类</div></td>
		<td rowspan="2" patch><div class="rpt-table-cell rpt-patch-cell"></div></td>
		</tr>

		<tr>
		<td><div class="rpt-table-cell rpttab-cell-4">子项</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">母项</div></td>
		<td><div class="rpt-table-cell rpttab-cell-6">子项</div></td>
		<td><div class="rpt-table-cell rpttab-cell-7">母项</div></td>
		</tr>
    </table>
  </div>
  <div class="rpt-table-body rpt-table-main">
      <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center" id="ratioCompareTab">  
		<tr class="dataRow dbl-line">
		<td><div class="rpt-table-cell rpttab-cell-0 dblline-cell">万元产值<br>综合能耗</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1 dblline-cell">千克标煤<br>/万元</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.coalKgIndustryValue)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.coalKgIndustryValue)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.coals)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.workload.industryValue)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.coals)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.workload.industryValue)!0;m2M2}</div></td>
		<td formula="(C1-D1)/D1*100" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td rowspan="3"><div class="rpt-table-cell rpttab-cell-9">生产经营</div></td>
		</tr>
		
		<tr class="dataRow dbl-line">
		<td><div class="rpt-table-cell rpttab-cell-0 dblline-cell">万元增加值<br>综合能耗</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1 dblline-cell">千克标煤<br>/万元</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.coalKgAddedValue)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.coalKgAddedValue)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.coals)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.workload.addedValue)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.coals)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.workload.addedValue)!0;m2M2}</div></td>
		<td formula="(C2-D2)/D2*100" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		</tr>
		
		<tr class="dataRow dbl-line">
		<td><div class="rpt-table-cell rpttab-cell-0 dblline-cell">万元产值<br>新鲜水单耗</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1 dblline-cell">立方米<br>/万元</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.waterIndustryValue)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.waterIndustryValue)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.wpg.waterCount)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.workload.industryValue)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.wpg.waterCount)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.workload.industryValue)!0;m2M2}</div></td>
		<td formula="(C3-D3)/D3*100" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		</tr>
		
		<tr class="dataRow dbl-line">
		<td><div class="rpt-table-cell rpttab-cell-0 dblline-cell">测井生产<br>综合能耗</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1 dblline-cell">千克标煤<br>/井次</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.coalKgWellCount)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.coalKgWellCount)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.coals)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.workload.wellCount)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.coals)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.workload.wellCount)!0;m2M2}</div></td>
		<td formula="(C4-D4)/D4*100" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-9">测井</div></td>
		</tr>
		
		<tr class="dataRow dbl-line">
		<td><div class="rpt-table-cell rpttab-cell-0 dblline-cell">单位建筑面积<br>用电量</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1 dblline-cell">千瓦时<br>/平方米</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.powerBuilderArea)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.powerBuilderArea)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.wpg.powerCount)!0;m2M2}</div></td>
		<td class="editable" data-field="builderArea" data-format="0.00" data-msg="最多2位小数的数值"><div class="rpt-table-cell rpttab-cell-5" style="height:56px;line-height:56px;">#{(ratio.workload.builderArea)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.wpg.powerCount)!0;m2M2}</div></td>
		<td class="editable" data-field="prebuilderArea" data-format="0.00" data-msg="最多2位小数的数值"><div class="rpt-table-cell rpttab-cell-7" style="height:56px;line-height:56px;">#{(preratio.workload.builderArea)!0;m2M2}</div></td>
		<td formula="(C5-D5)/D5*100" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-9">办公</div></td>
		</tr>
		
		<tr class="dataRow single-line">
		<td><div class="rpt-table-cell rpttab-cell-0">车辆综合油耗</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">千克/百公里</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.oilCost100km)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.oilCost100km)!0;m3M3}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.oilCoilTotal)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.checkMile)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.oilCoilTotal)!0;m2M2}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.checkMile)!0;m2M2}</div></td>
		<td formula="(C6-D6)/D6*100" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td rowspan="6"><div class="rpt-table-cell rpttab-cell-9">车辆</div></td>
		</tr>
		
		<tr class="dataRow single-line">
			<td><div class="rpt-table-cell rpttab-cell-0">柴油车行驶油耗</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">升/百公里</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.carRptConsume.coilLiter100km)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.carRptConsume.coilLiter100km)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.carRptConsume.coilUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.carRptConsume.coilTravelMile)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.carRptConsume.coilUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.carRptConsume.coilTravelMile)!0;m2M2}</div></td>
			<td formula="(C7-D7)/D7*100" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
			
		</tr>
		
		<tr class="dataRow single-line">
			<td><div class="rpt-table-cell rpttab-cell-0">柴油车井次油耗</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">升/井次</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.carRptConsume.coilLiterWellCount)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.carRptConsume.coilLiterWellCount)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.carRptConsume.coilUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.carRptConsume.wellCount)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.carRptConsume.coilUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.carRptConsume.wellCount)!0;m2M2}</div></td>
			<td formula="(C8-D8)/D8*100" decimal="2"><div class="rpt-table-cell rpttab-cell-8"></div></td>
			
		</tr>
		
		<tr class="dataRow single-line">
			<td><div class="rpt-table-cell rpttab-cell-0">汽油车行驶油耗</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">升/百公里</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.carRptConsume.oilLiter100km)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.carRptConsume.oilLiter100km)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.carRptConsume.oilUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.carRptConsume.oilTravelMile)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.carRptConsume.oilUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.carRptConsume.oilTravelMile)!0;m2M2}</div></td>
			<td formula="(C9-D9)/D9*100"><div class="rpt-table-cell rpttab-cell-8"></div></td>
			
		</tr>
		
		<tr class="dataRow single-line">
			<td><div class="rpt-table-cell rpttab-cell-0">汽油车井次油耗</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">升/井次</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.carRptConsume.oilLiterWellCount)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.carRptConsume.oilLiterWellCount)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.carRptConsume.oilUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.carRptConsume.wellCount)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.carRptConsume.oilUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.carRptConsume.wellCount)!0;m2M2}</div></td>
			<td formula="(C10-D10)/D10*100"><div class="rpt-table-cell rpttab-cell-8"></div></td>
			
		</tr>
		
		<tr class="dataRow single-line">
			<td><div class="rpt-table-cell rpttab-cell-0">发电机井次油耗</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">升/井次</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{(ratio.carRptConsume.engineLiterWellCount)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{(preratio.carRptConsume.engineLiterWellCount)!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-4">#{(ratio.carRptConsume.engineUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-5">#{(ratio.carRptConsume.wellCount)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-6">#{(preratio.carRptConsume.engineUsLiter)!0;m2M2}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-7">#{(preratio.carRptConsume.wellCount)!0;m2M2}</div></td>
			<td formula="(C11-D11)/D11*100"><div class="rpt-table-cell rpttab-cell-8"></div></td>
			
		</tr>
		
		</table>
	</div>
</div>