package com.hb.proj.auth.controller;

import java.util.Map;

import com.hb.proj.sysdata.service.UserService;
import com.hb.proj.utils.MySessionUser;
import com.hb.xframework.util.ApplicationContextUtils;
import com.hb.xframework.util.SessionUser;

public class AutoLoginUtils {

	public static SessionUser  getSessionUser(String loginId){
		UserService  userService=ApplicationContextUtils.getBean("userService", UserService.class);
		Map<String,Object> us=userService.getUserByLoginId(loginId);
		if(us==null){
			return null;
		}
		MySessionUser su=new MySessionUser();
		su.setLoginId((String)us.get("loginId"));
		su.setUserName((String)us.get("userName"));
		su.setUserId((String)us.get("userId"));
		su.setOrgId((String)us.get("belongOrg"));
		su.setOrgAssistCode((String)us.get("assistCode"));
		return su;
	}
}
