package com.hb.proj.car.controller;

import java.io.IOException;
import java.io.OutputStream;
import java.net.URLEncoder;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.hb.proj.excel.Table;
import com.hb.proj.excel.TableExporter;

@Controller
@RequestMapping("/**/rpt")
public class RptExporterController {

	@RequestMapping("/export/tableToXls")
	public void tableToXls(String expData,HttpServletRequest request,HttpServletResponse response) throws IOException{
		Table htmlTab=JSON.parseObject(expData,new TypeReference<Table>() {});
		
		response.setContentType("APPLICATION/OCTET-STREAM");
		response.addHeader("Content-Disposition", "attachment;filename=\"" + URLEncoder.encode(htmlTab.getTitle(),"UTF-8") + ".xls");
        OutputStream os=response.getOutputStream();
		HSSFWorkbook  workbook=TableExporter.buildExcel(htmlTab);
		workbook.write(os);
		os.flush();
		os.close();
		response.flushBuffer();
	}
}
