package com.hb.proj.excel.imp;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ExcelResult {

	private List<Map<String,Object>> listDatas; //区块单元格集值
	
	private Map<String,Object>  otherData; //零散的单元格值
	
	private Map<String,Object>  reqParams;  //导入时附带的参数
	
	private StringBuilder error;
	
	private String exception;
	
	
	public ExcelResult(){
		this.listDatas=new ArrayList<Map<String,Object>>();
		this.otherData=new HashMap<String,Object>();
		this.error=new StringBuilder();
	}

	public List<Map<String, Object>> getListDatas() {
		return listDatas;
	}

	public void setListDatas(List<Map<String, Object>> listDatas) {
		this.listDatas = listDatas;
	}

	public Map<String, Object> getOtherData() {
		return otherData;
	}

	public void setOtherData(Map<String, Object> otherData) {
		this.otherData = otherData;
	}

	public StringBuilder getError() {
		return error;
	}

	public void setError(StringBuilder error) {
		this.error = error;
	}
	
	public void addError(String error){
		this.error.append(error+";");
	}
	
	public void addOtherVal(String name,Object val){
		this.otherData.put(name, val);
	}
	
	public void addRowVal(Map<String,Object> record){
		this.listDatas.add(record);
	}

	public String getException() {
		return exception;
	}

	public void setException(String exception) {
		this.exception = exception;
	}

	public Map<String, Object> getReqParams() {
		return reqParams;
	}

	public void setReqParams(Map<String, Object> reqParams) {
		this.reqParams = reqParams;
	}
}
