package com.hb.proj.model;

import java.util.Date;

import com.hb.xframework.annotation.Column;
import com.hb.xframework.annotation.Table;


@Table("T_MENU_DEFINITION")
public class Menu {

	 @Column(value="MENU_ID",primary=true)
	 private String menuId;
	 
	 
	 @Column("MENU_NAME")
	 private String menuName;
	 
	 @Column("MENU_ICON")
	 private String menuIcon;
	 
	 @Column("FATHER_MENU_ID")
	 private String fatherMenuId;
	 
	 @Column("MENU_LINK")
	 private String menuLink;
	 
	 @Column(value="CREATOR",update=false)
	 private String creator;
	 
	 @Column(value="CREATE_TIME",update=false)
	 private Date createTime;
	 
	 @Column("DISPLAY_NUM")
	 private Integer displayNum;
	 
	 @Column(insert=false,update=false)
	 private String fatherMenuName;
	 
	 @Column(insert=false,update=false)
	 private int childCount;
	 
	 @Column(insert=false,update=false)
	 private Boolean  disabled;
	 
	 @Column("TARGET_DEPTH")
	 private String targetDepth;
	 
	 @Column("ASSIST_CODE")
	 private String assistCode;

	public String getMenuId() {
		return menuId;
	}

	public void setMenuId(String menuId) {
		this.menuId = menuId;
	}

	public String getMenuName() {
		return menuName;
	}

	public void setMenuName(String menuName) {
		this.menuName = menuName;
	}

	public String getMenuIcon() {
		return menuIcon;
	}

	public void setMenuIcon(String menuIcon) {
		this.menuIcon = menuIcon;
	}

	public String getFatherMenuId() {
		return fatherMenuId;
	}

	public void setFatherMenuId(String fatherMenuId) {
		this.fatherMenuId = fatherMenuId;
	}

	public String getMenuLink() {
		return menuLink;
	}

	public void setMenuLink(String menuLink) {
		this.menuLink = menuLink;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getDisplayNum() {
		return displayNum;
	}

	public void setDisplayNum(Integer displayNum) {
		this.displayNum = displayNum;
	}

	

	public String getFatherMenuName() {
		return fatherMenuName;
	}

	public void setFatherMenuName(String fatherMenuName) {
		this.fatherMenuName = fatherMenuName;
	}

	public int getChildCount() {
		return childCount;
	}

	public void setChildCount(int childCount) {
		this.childCount = childCount;
	}
	
	

	public String getTargetDepth() {
		return targetDepth;
	}

	public void setTargetDepth(String targetDepth) {
		this.targetDepth = targetDepth;
	}

	public Boolean getDisabled() {
		return disabled;
	}

	public void setDisabled(Boolean disabled) {
		this.disabled = disabled;
	}

	public String getAssistCode() {
		return assistCode;
	}

	public void setAssistCode(String assistCode) {
		this.assistCode = assistCode;
	}

	
}
