package com.hb.proj.model;

import com.hb.proj.car.service.CarRptUtils;

/**
 * OtherConsume的包装类
 * @author xe
 *
 */
public class OtherConsumeWrapVO {

	private OtherConsume  oth;
	
	private Double oilSumKg; //汽油合计量（ERP+昆仑卡）
	
	private Double coilSumKg; //柴油合计量（ERP+昆仑卡）
	
	public OtherConsumeWrapVO(OtherConsume otherConsume){
		this.oth=otherConsume;
		this.oilSumKg=CarRptUtils.addDouble(otherConsume.getOilErpCountKg(),otherConsume.getOilKlCountKg());
		this.coilSumKg=CarRptUtils.addDouble(otherConsume.getCoilErpCountKg(),otherConsume.getCoilKlCountKg());
	}

	public OtherConsume getOth() {
		return oth;
	}

	public void setOth(OtherConsume otherConsume) {
		this.oth = otherConsume;
	}

	public Double getOilSumKg() {
		return oilSumKg;
	}

	public void setOilSumKg(Double oilSumKg) {
		this.oilSumKg = oilSumKg;
	}

	public Double getCoilSumKg() {
		return coilSumKg;
	}

	public void setCoilSumKg(Double coilSumKg) {
		this.coilSumKg = coilSumKg;
	}
}
