package com.hb.proj.model;

import java.util.Map;

public class Quota {

    private String deviceName;
	
	private String deviceModel;
	
	private Integer  deviceAge;
	
	private String quotaType;
	
	private Number quotaCount;
	
	private String quotaKey;
	
	private String workArea;
	
	private Map<Integer,Double> riseMap;
	
	public Quota(){
		
	}
	
	public Quota(String quotaKey,String workArea,String qt,Number qc,String dn){
		this.quotaKey=quotaKey;
		this.workArea=workArea;
		this.quotaType=qt;
		this.quotaCount=qc;
		this.deviceName=dn;
	}
	
	
	public Quota(String dn,String dm,Integer da,String qt,Number qc){
		this.deviceName=dn;
		this.deviceModel=dm;
		this.deviceAge=da;
		this.quotaType=qt;
		this.quotaCount=qc;
	}
	

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public String getDeviceModel() {
		return deviceModel;
	}

	public void setDeviceModel(String deviceModel) {
		this.deviceModel = deviceModel;
	}



	public String getQuotaType() {
		return quotaType;
	}

	public void setQuotaType(String quotaType) {
		this.quotaType = quotaType;
	}

	

	public Integer getDeviceAge() {
		return deviceAge;
	}

	public void setDeviceAge(Integer deviceAge) {
		this.deviceAge = deviceAge;
	}

	public Number getQuotaCount() {
		return quotaCount;
	}

	public void setQuotaCount(Number quotaCount) {
		this.quotaCount = quotaCount;
	}



	public String getQuotaKey() {
		return quotaKey;
	}



	public void setQuotaKey(String quotaKey) {
		this.quotaKey = quotaKey;
	}



	public String getWorkArea() {
		return workArea;
	}



	public void setWorkArea(String workArea) {
		this.workArea = workArea;
	}

	public Map<Integer, Double> getRiseMap() {
		return riseMap;
	}

	public void setRiseMap(Map<Integer, Double> riseMap) {
		this.riseMap = riseMap;
	}
}
