package com.hb.proj.sysdata.service;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

import org.springframework.stereotype.Service;

@Service
public class HDPlatformProxyService {

	public void queryCarOilData(){
		try{
			URL url =new URL("http://211.162.75.141:52467/iVehicleGPS/statisticalQuery/findOilDetailPage.hd?page=1&rows=10&vin=荆鹏测试1&queryDate=2020-09-16 10:00:00"); 
			HttpURLConnection conn = (HttpURLConnection) url.openConnection();
			conn.setRequestMethod("GET");
			conn.setConnectTimeout(5000);
			if (conn.getResponseCode() == 200) {
			    //用getInputStream()方法获得服务器返回的输入流
			    //InputStream in = conn.getInputStream();
			    BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream(),"UTF-8"));
	            String resp=br.readLine();
			    System.out.println(resp);
			    br.close();
			    conn.disconnect();
			    
			   
			}
		}
		catch(Exception e){
			e.printStackTrace();
		}
	}
	
	
	public static void main(String[] args){
		HDPlatformProxyService  service=new HDPlatformProxyService();
		service.queryCarOilData();
	}
}
