package com.hb.proj.utils;

import java.util.regex.Pattern;

public class DataUtils {
	
	private static Pattern pattern = Pattern.compile("^[-\\+]?\\d+(\\.\\d+)?$"); 

	public static Double round(Object d,int decimalCount){
		if(d==null){
			return null;
		}
		return Double.parseDouble(String.format("%1$."+decimalCount+"f", ((Number)d).doubleValue()));
	}
	
	public static String format(Object d,int decimalCount){
		return String.format("%1$."+decimalCount+"f", d);
	}
	
	public static boolean isDouble(String str){
		
		return pattern.matcher(str).matches();  
	}
	
}
