package com.hb.proj.utils;

import java.util.List;

import javax.servlet.http.HttpServletResponse;

import org.springframework.util.StringUtils;

import com.hb.xframework.util.JsonParamHandler;

public class LayGridJsonUtils {
	
	public static void error(HttpServletResponse response,String exception){
		JsonOutUtils.writeToResponse(response, "{\"code\":1,\"msg\":\""+exception+"\"}");
	}

	public static void wirte(HttpServletResponse response,List<?> datas,int totalRows){
		wirte(response,datas,totalRows,null);
	}
	
	public static void wirte(HttpServletResponse response,List<?> datas,int totalRows,String datePattern){
		StringBuilder  json=new StringBuilder();
		json.append("{\"code\":0");
		//json.append("pageInfo:{totalRowNum:"+String.valueOf(totalRows)+"},");
		json.append(",\"count\":"+totalRows);
		json.append(",\"data\":");
		if(datas==null||datas.size()==0){
		  json.append("[]");
        }
		else{
			if(StringUtils.hasText(datePattern)){
				json.append(JsonParamHandler.getJson(datas,datePattern));
			}
			else{
				json.append(JsonParamHandler.getJson(datas));
			}
			
			
			
		}
		json.append("}");
		JsonOutUtils.writeToResponse(response, json.toString());
	}
}
