package com.hb.proj.utils;

import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

public class RequestUtils {

	public static Map<String, Object> getParams(HttpServletRequest request){
		 Map<String, Object> requestMap = new HashMap<String, Object>();
		 Enumeration<?> enum_term = request.getParameterNames();
		 String paramName=null;
		 while (enum_term.hasMoreElements()) {
		   paramName = (String) enum_term.nextElement();
		   requestMap.put(paramName, request.getParameter(paramName));
		}
		 return requestMap;
	}
}
