layui.use(['page','layer','laytpl','index'], function () {
	var element =layui.myElement
	 ,$=layui.jquery
	 ,page=layui.page
	 ,layer = layui.layer
	 ,laytpl = layui.laytpl
	 ;
	
	 var setting=page.getSettings();
	 $("#usName").text(setting.userName);
	 
	 $(".layui-icon-logout").on("click",function(){
		 page.ajax({url:"auth/logout.do"},function(resp){
			 location="default.html";
		 },function(){
			 location="default.html";
		 });
	 });
	 
	 var parseMenus=function(menus){
		 var map={},fid=null;
		 for(var i=0,len=menus.length;i<len;i++){
			 fid=menus[i].fatherMenuId;
			 if(map[fid]==null){
				 map[fid]=[];
			 }
			 map[fid].push(menus[i]);
		 }
		 return map;
	 };
	 
	 page.ajax({
		 url:"auth/loadMyMenus.do"
	},function(resp){
		 if(!resp.success){
			 layer.msg(resp.exception);
		 }
		 else{
			 var menus=resp.data;
			menus=parseMenus(menus);
			 laytpl($("#accordionTpl").html()).render(menus, function(html){
				$(".layui-nav-tree").append(html);
			 });
			 element.render();
		 }
	 },function(){
		 layer.msg("网络请求出现错误");
	 });
});