;layui.define(["jquery"],function(exports){
	var $=layui.jquery;
	page={
			getURLParams:function(){
				var str=location.search.substr(1);
				str=str.split("&");
				var param={},entity=null;
				for(var i=0,len=str.length;i<len;i++){
					entity=str[i].split("=");
					param[entity[0]]=decodeURI(entity[1]);
				}
				return param;
			},
			buildURLParams:function(param){
				if(!param){
					return null;
				}
				var rtn=[];
				for(var attr in param){
					rtn.push(attr+"="+encodeURIComponent(param[attr]));
				}
				return rtn.join("&");
			},
			ajax:function(param,successCallback,faildCallback){
				 var sucFunCtx=arguments[3]||window;
				    var faiFunCtx=arguments[4]||window;
					$.ajax({
						type : "post",
						dataType : param.dataType||"json",
						data : param.data,
						url : param.url,
						success : function(d, s) {
							if(successCallback)
							successCallback.call(sucFunCtx, d, s);
						},
						error : function(xmlobj, state, errorThrown) {
							if(faildCallback)
							faildCallback.call(faiFunCtx,xmlobj);
						}
					});
			},
			ajax2:function(param,successCallback,faildCallback,completeCallback){
				  $.ajax({
						type : "post",
						dataType : param.dataType||"json",
						data : param.data,
						url : param.url,
						success : function(d, s) {
							if(typeof(successCallback)=="function"){
								successCallback(d,s);
							}
						},
						error : function(xmlobj, state, errorThrown) {
							if(typeof(faildCallback)=="function"){
								faildCallback(xmlobj,state,errorThrown);
							}
						},
						complete:function(xmlobj, state){
							if(typeof(completeCallback)=="function"){
								completeCallback(xmlobj,state);
							}
						}
					});
			},
			setSettings:function(settings) {
				settings = settings || {};
				localStorage.setItem('$settings', JSON.stringify(settings));
			},
			getSettings:function() {
				var settingsText = localStorage.getItem('$settings') || "{}";
				return JSON.parse(settingsText);
			},
			addSettings:function(settings){
				var obj=this.getSettings();
				$.extend(obj,settings);
				this.setSettings(obj);
			},
			getNow:function(fmt){
				var now=new Date();
				if(fmt=="yyyy"){
					return now.getFullYear().toString();
				}
				else{
					var mth=now.getMonth()+1;
					return now.getFullYear()+"-"+(mth>9?mth:("0"+mth));
				}
			}
	};
	exports('page',page);
});