;layui.define(["jquery",'layer'],function(exports){
	var $=layui.jquery
	,layer = layui.layer;
	var Editor=function(){
			this.activeCell=null	
	};
	
	Editor.prototype={
			
			setEidtorCell:function(keyCode){
				   var me=this;
				   var cellIdx=me.activeCell.cellIndex;
				   var tr=$(me.activeCell).parent("tr")[0];
				   var rowIdx=tr.rowIndex;
				   var tab=$(tr).parents("table")[0];
				   var newActive=null;
				   if(keyCode==39&&cellIdx+1<tr.cells.length){ //right
					   newActive=tr.cells[cellIdx+1];
					   newActive=$(newActive).hasClass("editable")?newActive:null;
				   }
				   else if(keyCode==37&&cellIdx-1>=0){ //left
					   newActive=tr.cells[cellIdx-1];
					   newActive=$(newActive).hasClass("editable")?newActive:null;
				   }
				   else if(keyCode==38&&rowIdx-1>=0){ //up
					   //newActive=tab.rows[rowIdx-1].cells[cellIdx];
					   newActive=me.getSameColumnCell(me.activeCell,tab.rows[rowIdx-1]);
				   }
				   else if(keyCode==40&&rowIdx+1<tab.rows.length){ //down
					   //newActive=tab.rows[rowIdx+1].cells[cellIdx];
					   newActive=me.getSameColumnCell(me.activeCell,tab.rows[rowIdx+1]);
				   }
				   
				   if(newActive!=null){
					   $(me.activeCell).removeClass("active");
					   $(newActive).addClass("active");
					   me.activeCell=newActive;
					   me.editing();
				   }
			},
			editing:function(){
				var me=this;
				var $active=$(this.activeCell);
				var oldVal=$active.text();
				//alert($active.outerHeight()+":"+$active.innerHeight()+":"+$active.css("border-top-width")+":"+$active.css("border-bottom-width"));
				var h=$active.innerHeight();
				var bw=parseFloat($active.css("border-bottom-width"));
				h=h-(bw-0.5);
				var eidtorHtml="<input type='text' class='editor'>";
				$active.html(eidtorHtml);
				var $box=$active.find(".editor");
				$box.val(oldVal);
				$box[0].focus();
				$box.keydown(function(event){
					 var keyCode=event.which;
					 if(keyCode>=37&&keyCode<=40){ //方向键
						 $(this).trigger("editblur");
						 return;
					 }
					 if(keyCode==13&&!event.ctrlKey){ //回车
						 $(this).trigger("editblur");
					 }
					 else if(keyCode==13&&event.ctrlKey){
						 //$(this).html($(this).html()+"<br>");
						 $(this).text($(this).text()+"\r\n");
					 }
					 event.stopPropagation(); 
					
				});
				$box.bind("editblur",function(event){//只有在切换编辑格时，失去的焦点才重新聚焦报表
					 $(this).trigger("blur");
					 $active.focus();
				});
				$box.blur(function(){  //其他原因导致的失去焦点，不需要重新聚焦，否则会表现出其他应该获得焦点的对象，在获得焦点后又立刻失去
					 var val=$(this).val();
					 val=val.replace(/[\r\n]/g,"<br>");
					 var rst=me.verify(val,$active.data("format"),$active.data("require")=="false");
					 if(!rst){
						 layer.tips($active.data("msg")||'数据格式不正确',$active[0],{tips: 3}); 
					 }
					 $active.html(rst?val:oldVal);
					 
					
				});
				$box.click(function(event){
				    event.stopPropagation(); 
				});
			},
			getSameColumnCell:function(activeCell,targetTr){
				var cellPos=$(activeCell).position();
				var cellIndex=activeCell.cellIndex;
				var cellW=$(activeCell).width();
				var targetPos=0;
				
				var len=targetTr.cells.length;
				for(var j=0;j<len;j++){
					targetPos=$(targetTr.cells[j]).position();
					if(targetPos.left==cellPos.left){
						return $(targetTr.cells[j]).hasClass("editable")?targetTr.cells[j]:null;
					}
					if((targetPos.left+$(targetTr.cells[j]).width())>=(cellPos.left+cellW)){
						return $(targetTr.cells[j]).hasClass("editable")?targetTr.cells[j]:null;
					}
				}
				var rtnCell=targetTr.cells[cellIndex<len?cellIndex:len-1];
				return $(rtnCell).hasClass("editable")?rtnCell:null;
			},
			verify:function(val,format,require){
				if(val==""&&!require){
					return true;
				}
				if(/^[#0]*0(\.(#+|0+))?$/g.test(format)){
					format+="";
					format=format.split(".");
					var decimal=format[1]!=null?format[1].length:0;
					if(decimal==0){
						if(!(/^-?\d+$/g.test(val))){
							return false;
						}
					}
					else{
						var exp=new RegExp("^-?\\d+(\\.\\d{1,"+decimal+"})?$","g");
						return exp.test(val);
					}
				
					
				}
				return true;
			}
			
	};

	var editor=new Editor();
	
	$("body").on("keydown",".tabView",function(event){
		   var keyCode=event.which;
		   if(editor.activeCell==null){
			   return;
		   }
		   if(keyCode>=37&&keyCode<=40){  //方向键控制编辑单元格的变换
			   editor.setEidtorCell(keyCode);
			   event.stopPropagation();
		  	   event.preventDefault();
		   }
		   else{ //其他按键作为输入内容
			   editor.editing();
		   }
		  
		  
		});
		
	$("body").on("click",".tabView .editable",function(){
			/*if(editor.activeCell==this){
				editor.editing();
				 return;
			}
			$(editor.activeCell).removeClass("active");
			editor.activeCell=this;
			$(this).addClass("active");
			*/
		    editor.activeCell=this;
		    editor.editing();
		});
		
	exports('rptEditor',editor);
});