layui.use(['element','mylayer','newtable','laydate','myform','page'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,page=layui.page
				  ,layer = layui.mylayer
				  ,table = layui.newtable;
				  
				  var setting=page.getSettings();
				  
				  $("#belongOrgName").on("click",function(){
						 layer.open({
								title:'选择单位',
								type:2,
								content:'../sys/orgSelTree.html',
								area:['400px','75%']
								,btn: ['确定', '取消']
						 		,maxmin :true
						 		,cancel: function(index, layero){  //右上角关闭
						 			window[layero.find('iframe')[0]['name']].selectedNode=null;
						 		}
						 		,btn2: function(index, layero){
						 			window[layero.find('iframe')[0]['name']].selectedNode=null;
						 		}
						 		,beforeClose:function(ifrmWin){
						 			var node=ifrmWin.selectedNode;
						 			if(node){
						        		$("#belongOrgName").val(node.name);
							   		    $("#belongOrg").val(node.assistCode);
						        	}
						 			return true;
						 		}
						        
						});
				  });
				  
				  $("#importbtn").on("click",function(){
						 layer.open({
								title:'导入车辆数据',
								type:2,
								content:'carImport.html',
								area:['680px','75%']
								,btn: ['关闭']
						 		,maxmin :true
						        , yes: function(index, layero){
						        	var success = window[layero.find('iframe')[0]['name']].importSuccess;
						        	if(success){
						        		table.refresh("LAY-tab-car");
						        	}
						        	
						        	layer.close(index); 
						        }
						});
				  });
				  
				 /* form.optionsInit({
						 url:"opts/load.do",
						 config:[
						         {selectId:"carType",valkey:"codeId",txtkey:"codeName",pn:"fatherCodeId",pv:"4028cd5b717646b90171764f819e0003"}
						        ]
					 });*/
				  var tabOffsetTop=$(".my-query-form").height()+40;
				  table.render({
				  					 elem:'#LAY-tab-car',
				  					 height:'full-'+tabOffsetTop,
				  					 url:'car/query.do',
				  					 page:true,
				  					 limit:100,
				  					 limits:[50,100],
				  					 autoSort:false,
				  					 toolbarExtraData:setting.userId,
				  					 cols:[[
										 {type: 'numbers', title: '序号', width: '60',fixed: 'left'},
										 {field: 'customNum', title: '自编号', width:100,align:'center',fixed: 'left',templet:function(d){
											 let cls=d.discardIf==1?'discard-car':'';
											 if("是"==d.customTag){
												 cls=cls+" outside-car";
											 }
											 return "<div class=\""+cls+"\">"+d.customNum+"</div>";
										 }},
				  						 {field: 'carNum', title: '牌照号', width:120,fixed: 'left'},
				  						 {field: 'belongOrgName', title: '所属单位', width:180,align:'center'},
				  						 {field: 'customTag', title: '是否托管', width:120,align:'center'},
				  						
				  						 {field: 'deviceName', title: '设备名称', width:220,sort:true},
				  						 {field: 'deviceModel', title: '规格型号', width:260,sort:true},
				  						 {field: 'quotaPower', title: '额定功率(kw)', width:160},
				  						 {field: 'alternatorModelName', title: '车载发电机型号', width:200},
				  						 {field: 'wkStart', title: '投产年月', width:120,align:'center',sort:true},
				  						 {field: 'realAge', title: '年限', width:60,align:'center'},
				  						 {field: 'oilType', title: '燃油类型', width:110,align:'center'},
				  						 
				  						 {field: 'coilCarTypeName', title: '柴油车辆类型', width:140,align:'center'},
				  						 {field: 'op', title: '操作', width:300,align:'center',toolbar:'#toolbar'}
				  						
				  					 ]]
							    });
				
				    rptCarCount();  //首次自动加载
				    $(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){
					
				    	table.query("LAY-tab-car",form.val("my-query-form"));
				    	rptCarCount();
				    	
					});	
				    
					$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
						form.clear("my-query-form");
					});	
					$(".my-query-form").on("click",".layui-btn[lay-filter='importTemp']",function(evn){
						window.open("../../excel/车辆基本信息导入模板.xls");
					});	
					
					$(".my-query-form").on("click",".layui-btn[lay-filter='exportbtn']",function(evn){
						layer.msg("开始导出数据");
						//var args=form.val("my-query-form");
						window.frames['expfrm'].location='car/export.do?where='+encodeURIComponent(JSON.stringify(form.val("my-query-form")));
						
					});
				
					$("#addbtn").on("click",function(){
						layer.open({
							title:'登记新车辆',
							type:2,
							content:'carUpdate.html',
							area:['80%','85%']
							,maxmin :true
							,btn: ['提交', '取消']
							, yes: function(index, layero){
						    	var win=window[layero.find('iframe')[0]['name']];
						    	win.submitForm();
						    }
						    ,beforeClose:function(ifrmWin,obj){
						    	if(ifrmWin.success){
						    		table.refresh("LAY-tab-car");
						    	}
						    	return true;
						    }
							
						});
					});
					
					//分类统计车辆数量
					function rptCarCount(){
						page.ajax({
							 url:"car/rptCount.do",
							 data:form.val("my-query-form")
						 },function(resp){
							 if(resp.success&&resp.data){
								 $("#oilCarCount").text(resp.data.oil||'');
								 $("#coilCarCount").text(resp.data.coil||'');
								 $("#discardCarCount").text(resp.data.discard||'');
							 }
							 
						 },function(){
							 ;
						 });
					}
					
					table.on('sort(tab-car)', function(obj){
						table.reload('LAY-tab-car', {
						    initSort: obj 
						    ,where: { 
						       sortField: obj.field //排序字段
						      ,sortAction: obj.type //排序方式
						    }
						  });
					});
					
					table.on('tool(tab-car)', function(obj){ 
						var data = obj.data;
						var layEvent = obj.event; 
						if(layEvent === 'edit'){ 
							layer.open({
								title:'车辆数据编辑',
								type:2,
								content:'carUpdate.html?carId='+encodeURI(data.carId),
								area:['80%','80%']
								,btn: ['提交', '取消']
							    , yes: function(index, layero){
							    	var win=window[layero.find('iframe')[0]['name']];
							    	win.submitForm();
							    }
								,beforeClose:function(ifrmWin,obj){
							    	if(ifrmWin.success){
							    		table.refresh("LAY-tab-car");
							    	}
							    	return true;
							    }
								,maxmin :true
							});
						}
						else if(layEvent === 'del'){
							layer.confirm("确定要删除该记录吗？", {icon: 3, title:'提示'}, function(index){
								page.ajax({
									 url:"car/delete.do",
									 data:{carId:data.carId}
								 },function(resp){
									 if(!resp.success){
										 layer.msg(resp.exception);
									 }
									 else{
										 layer.msg("操作成功");
										 table.refresh("LAY-tab-car");
									 }
								 },function(){
									 layer.msg("网络请求出现错误");
								 });
								layer.close(index);
							}) ;
						}
						else if(layEvent === 'discard'){
							layer.confirm("确定要报废该车吗？", {icon: 3, title:'提示'}, function(index){
								page.ajax({
									 url:"car/discard.do",
									 data:{carId:data.carId,discard:1}
								 },function(resp){
									 if(!resp.success){
										 layer.msg(resp.exception);
									 }
									 else{
										 layer.msg("操作成功");
										 table.refresh("LAY-tab-car");
									 }
								 },function(){
									 layer.msg("网络请求出现错误");
								 });
								layer.close(index);
							}) ;
						}
						else if(layEvent === 'recoveryUse'){
							page.ajax({
								 url:"car/discard.do",
								 data:{carId:data.carId,discard:0}
							 },function(resp){
								 if(!resp.success){
									 layer.msg(resp.exception);
								 }
								 else{
									 layer.msg("操作成功");
									 table.refresh("LAY-tab-car");
								 }
							 },function(){
								 layer.msg("网络请求出现错误");
							 });
						}
						else if(layEvent === 'viewTransfer'){ 
							layer.open({
								title:'车辆流转记录',
								type:2,
								content:'carTransfer.html?carId='+encodeURI(data.carId),
								area:['80%','80%'],
								maxmin :true
							});
						}
						else if(layEvent === 'insideTag'||layEvent === 'outsideTag'){
							page.ajax({
								 url:"car/setTag.do",
								 data:{carId:data.carId,tag:(layEvent === 'outsideTag'?'是':'否')}
							 },function(resp){
								 if(!resp.success){
									 layer.msg(resp.exception);
								 }
								 else{
									 layer.msg("操作成功");
									 table.refresh("LAY-tab-car");
								 }
							 },function(){
								 layer.msg("网络请求出现错误");
							 });
						}
						
					});
				
				
		});