layui.use(['element','layer','newtable','laydate','myform','validator','page','laytpl'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,validator=layui.validator
				  ,layer = layui.layer
				  ,laydate = layui.laydate
				  ,page=layui.page
				  ,laytpl=layui.laytpl
				  ,table = layui.newtable;
				  
				  laydate.render({
					  elem: '#rptMonth'
					  ,type: 'month'
				  });
				  
				  $("#usOrg").text("上报部门："+((page.getSettings()).orgName||""));
				  
				  var now=new Date(),
				  m=now.getMonth()+1;
				  y=now.getFullYear();
				  if(now.getDate()<16){  //16号开始上报(下月10号截止)作为当月
					  if(m<2){
						  m=12;
						  y=y-1;
					  }
					  else{
						  m=m-1;
					  }
				  }
				  
				  $("#rptMonth").val(y+"-"+(m<10?("0"+m):m));  //默认上报上个月的
				  
				  $("#importbtn").on("click",function(){
						 layer.open({
								title:'导入车辆油耗数据',
								type:2,
								content:'carConsumeImport.html',
								area:['680px','75%']
								,btn: ['关闭']
						 		,maxmin :true
						        , yes: function(index, layero){
						        	var success = window[layero.find('iframe')[0]['name']].importSuccess;
						        	if(success){
						        		table.refresh("LAY-tab-car-run");
						        		loadOtherConsume();
						        	}
						        	
						        	layer.close(index); 
						        }
						});
				  });
				  
				  var tabConfig={
		  					 elem:'#LAY-tab-car-run',
		  					 height:'full-295',
		  					 url:'consume/load.do',
		  					 page:true,
		  					 limit:100,
		  					 limits:[30,50,100],
		  					 where:{rptMonth:$("#rptMonth").val()},
		  					 cols:[[
								 {type: 'numbers', title: '序号', width: '40',fixed: 'left'},
								 {field: 'customNum', title: '自编号', width:90,fixed: 'left',templet:function(d){
									 let cls=d.discardIf==1?'discard-car':'';
									 if("是"==d.customTag){
										 cls=cls+" outside-car";
									 }
									 return "<div class=\""+cls+"\">"+d.customNum+"</div>";
								 }},
		  						 {field: 'carNum', title: '车牌', width:120,fixed: 'left'},
		  						 {field: 'oilType', title: '燃油类型', width:90,align:'center',fixed: 'left'},
								 {field: 'rptMonth', title: '上报月份', width:100,align:'center',fixed: 'left',templet:function(d){
									 return d.rptDate.substr(0,7);
								 }},
								 {field: 'realAge', title: '年限', width:60,align:'center',fixed: 'left'},
								 {field: 'workArea', title: '作业区域', width:180,align:'center',templet:renderSelectInTab},
								 {field: 'travelMile', title: '行驶里程<br>(公里)', width:100,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
		  						 {field: 'workHour', title: '作业小时<br>(小时)', width:90,align:'right',edit:'text',error:'应为整数',dataType:'Number'},
		  						 //{field: 'outHour', title: '野外小时<br>(小时)', width:90,align:'right',edit:'text',error:'应为整数',dataType:'Number'},
		  						 {field: 'engineWorkHour', title: '发电机工作时间<br>(小时)', width:130,align:'right',edit:'text',error:'应为整数',dataType:'Number'},
		  						 {field: 'oilErp', title: '汽油ERP<br>(升)', width:100,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
		  						 {field: 'oilKl', title: '汽油昆仑卡<br>(升)', width:120,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
		  						 {field: 'oilMeter', title: '汽油流量计<br>(升)', width:120,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
		  						// {field: 'oilKlMoney', title: '汽油昆仑卡金额<br>(元  不含税)', width:140,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
		  						 {field: 'coilErp', title: '柴油ERP<br>(升)', width:100,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
		  						 {field: 'coilKl', title: '柴油昆仑卡<br>(升)', width:120,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
		  						 {field: 'coilMeter', title: '柴油流量计<br>(升)', width:120,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
		  						// {field: 'coilKlMoney', title: '柴油昆仑卡金额<br>(元  不含税)', width:140,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'},
		  						 {field: 'coilZsh', title: '含柴油中石化<br>(升)', width:120,align:'right',edit:'text',error:'应为大于0的数字',dataType:'ZDouble'}
		  						
		  						
		  					 ]]
					    };
				  
				  var workAreaopts=null;
				  
				  (function(){
					  page.ajax({
							 url:"code/treeNode.do",
							 data:{fatherCodeId:'4028cde37c0b409f017c0b4245730002'}
						 },function(resp){
							 if(!resp){
								 console.log('load workArea code failed');
								 return;
							 }
							 workAreaopts=resp;
							 table.render(tabConfig);
						 },function(){
							 console.log('network error when load workArea code');
						 });
				  })();
				  
				  function renderSelectInTab(recordData){
					  //var datas=[{id:'1',name:'冀东'},{id:'2',name:'西北'},{id:'3',name:'四川'}];
					  var rst=null;
					  laytpl(editor_select.innerHTML).render({list:workAreaopts,defval:recordData.workArea}, function(html){
						  rst=html;
					  });
					  return rst;
				  }
				  
				
				
				loadOtherConsume();  
				
				
				$(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){

					table.query("LAY-tab-car-run",form.val("my-query-form"));
					loadOtherConsume();
				});	
				
				$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
					form.clear("my-query-form");
				});	
				
				$(".my-query-form").on("click",".layui-btn[lay-filter='importTemp']",function(evn){
					window.open("consume/downloadTemp.do?rptMonth="+$("#rptMonth").val());
					
				});	
				
				$(".my-query-form").on("click",".layui-btn[lay-filter='sendbtn']",function(evn){
					var btn=$(this);
					if(btn.text()=="提交中"){
						return;
					}
					var checkMsg=equalCheck();
					if(checkMsg!=null){
						layer.confirm(checkMsg+',确定提交？', {icon: 3, title:'提示'}, function(index){
							  layer.close(index);
							  submitGridConsume(btn);
						});
					}
					else{
						submitGridConsume(btn);
					}
					
					
				});	
				
				form.on('select(selectWorkArea)', function(data){
					 var elem = data.othis.parents('tr');
					 var dataindex = elem.attr("data-index");
					 var laytab=table.getTabIns('LAY-tab-car-run');
					 var tabDataset=table.cache[laytab.key];
					 tabDataset[dataindex]["workArea"]=data.value;
					 if(!table.hadUpdate[laytab.key]){
						 table.hadUpdate[laytab.key]={};
					 }
					 table.hadUpdate[laytab.key][dataindex]=true;
					 //console.log(data.value);
					 //console.log('dataindex:'+JSON.stringify(tabDataset));
				});
				
				
				function loadOtherConsume(){
					$("#otherConsumeMth").text($("#rptMonth").val());
					$("#orgConsumeMth").text($("#rptMonth").val());
					
					form.clear("filter-form-oth");
					
					page.ajax({
						 url:"consume/other/load.do",
						 data:{rptMonth:$("#rptMonth").val()}
					 },function(resp){
						 if(!resp.success){
							 layer.msg(resp.exception);
						 }
						 else if(resp.data){
							 form.val("filter-form-oth",resp.data);
						 }
					 },function(){
						 layer.msg("网络请求出现错误");
					 });
				}
				
				function submitOtherConsume(btn){
					 if(!form.verifying("filter-form-oth")){
						 btn.text("提交数据");
						 return;
					 }
					 var reqData=form.val("filter-form-oth");
					 var mth=$("#otherConsumeMth").text()+"-01";
					 if(mth==""){
						 layer.msg("其它用油的统计月份缺失，取消其它用油数据提交");
						 return;
					 }
					 mth=new Date(mth.replace(/-/g,'/'));
					 reqData["rptMonth"]=mth;
					 
					 page.ajax({
						 url:"consume/other/save.do",
						 data:{jsonData:JSON.stringify(reqData)}
					 },function(resp){
						 btn.text("提交数据");
						 if(!resp.success){
							 layer.msg(resp.exception);
						 }
						 else{
							 layer.msg("提交车辆用油数据成功");
						 }
					 },function(){
						 btn.text("提交数据");
						 layer.msg("网络请求出现错误");
					 });
				}
				
				function submitGridConsume(btn){
					btn.text("提交中");
					var datas=table.getUpdatedRecord("LAY-tab-car-run");
					if(datas==0){
						//layer.msg("数据没有编辑过，无需提交车辆用油数据");
						submitOtherConsume(btn);
						return;
					}
					else{
						 var sendData=getOtherOil9295();
						 sendData["jsonDatas"]=JSON.stringify(datas);
						 page.ajax({
							 url:"consume/save.do",
							 data:sendData
						 },function(resp){
							 if(!resp.success){
								 btn.text("提交数据");
								 layer.msg(resp.exception);
							 }
							 else{
								 layer.msg("提交车辆用油数据成功");
								 table.clearUpdateTag("LAY-tab-car-run");
								 table.query("LAY-tab-car-run",form.val("my-query-form"));
								 submitOtherConsume(btn);
									
							 }
						 },function(){
							 btn.text("提交数据");
							 layer.msg("网络请求出现错误");
						 });
						 
						
					}
				}
				
				table.on('afterEdit(tab-car-run)', function(obj){
					/*var me=this;
					var t=tabIns;
					var value = obj.value //得到修改后的值
					return false;*/
					//table.validate(obj);
					var col=obj.col
					,tr=obj.tr
					,td=$(tr).find("td[data-field='"+obj.field+"']");
					var rst=validator.validate(obj.value,col.require,col.dataType);
					if(!rst){
						layer.tips(col.error||'数据格式不正确', td,{tips: 3});
					}
					if(obj.data.oilType=="柴油"&&obj.field.indexOf("oil")==0){
						layer.tips("柴油车不需要录入汽油数据",td,{tips: 3});
						return false;
					}
					if(obj.data.oilType=="汽油"&&obj.field.indexOf("coil")==0){
						layer.tips("汽油车不需要录入柴油数据",td,{tips: 3});
						return false;
					}
					return rst;
				});
				
				//上报的总计与单车合计数据是否一致
				function equalCheck(){
					var othData=form.val("filter-form-oth");
					var datas=table.cache["LAY-tab-car-run"];
					var oilErpTotal=addInput(othData.oilErp92,othData.oilErp95);
					var oilKlTotal=addInput(othData.oilKl92,othData.oilKl95);
					var coilErpTotal=addInput(null,othData.coilErpCount);
					var coilKlTotal=addInput(null,othData.coilKlCount);
					
					var oilErp=0,oilKl=0,coilErp=0,coilKl=0;
					for(var i=0,len=datas.length;i<len;i++){
						oilErp=addInput(oilErp,datas[i]["oilErp"]);
						oilKl=addInput(oilKl,datas[i]["oilKl"]);
						coilErp=addInput(coilErp,datas[i]["coilErp"]);
						coilKl=addInput(coilKl,datas[i]["coilKl"]);
					}
					//单车合计还要加上其它用油才能与总计比较一致性,比较时只能比较汽油、柴油总量（因为其它用油不区分ERP、昆仑卡）
					var oilSum=addInput(oilErp,oilKl);
					oilSum=addInput(oilSum,othData.oilCount);
					oilSum=parseFloat(oilSum.toFixed(2));
					
					var coilSum=addInput(coilErp,coilKl);
					coilSum=addInput(coilSum,othData.coilCount);
					coilSum=parseFloat(coilSum.toFixed(2));
					
					var oilTotal=addInput(oilErpTotal,oilKlTotal);
					oilTotal=parseFloat(oilTotal.toFixed(2));
					
					var coilTotal=addInput(coilErpTotal,coilKlTotal);
					coilTotal=parseFloat(coilTotal.toFixed(2));
					
					var msg=[];
					if(oilSum!=oilTotal){
						msg.push("汽油耗量总计【ERP+昆仑卡="+oilTotal+"】和单车合计【单车ERP+单车昆仑卡+其它="+oilSum+"】不一致;");
					}
					if(coilSum!=coilTotal){
						msg.push("柴油耗量总计【ERP+昆仑卡="+coilTotal+"】和单车合计【单车ERP+单车昆仑卡+其它="+coilSum+"】不一致;");
					}
					
					return msg.length>0?msg.join(""):null;
					
				}
				
				//从总量中计算92#、95#升数
				function getOtherOil9295(){
					var othData=form.val("filter-form-oth");
					var oil92L=addInput(othData.oilErp92,othData.oilKl92);
					var oil95L=addInput(othData.oilErp95,othData.oilKl95);
					return {oil92:oil92L,oil95:oil95L};
				}
				
				function addInput(v1,v2){
					if(v1==null||v1==""){
						return v2==null||v2==""?0:parseFloat(v2);
					}
					if(v2==null||v2==""){
						return v1==null||v1==""?0:parseFloat(v1);
					}
					return parseFloat(v1)+parseFloat(v2);
				}
		});