layui.use(['element','layer','myform','page'], function () {
	 var element = layui.element
	 ,$=layui.jquery
	 ,form=layui.myform
	 ,layer = layui.layer
	 ,page=layui.page
	 ;
	 
	 $("#clearSuperbtn").on("click",function(){
		 $("#fatherCodeName").val("");
		 $("#fatherCodeId").val("0");
	 });
	 
	 
	 $("#fatherCodeName").on("click",function(){
		 layer.open({
				title:'选择上级单位',
				type:2,
				content:'codeSelTree.html',
				area:['400px','75%']
				,btn: ['确定', '取消']
		        , yes: function(index, layero){
		        	var node = window[layero.find('iframe')[0]['name']].selectedNode;
		        	if(node){
		        		$("#fatherCodeName").val(node.name);
			   		    $("#fatherCodeId").val(node.id);
		        	}
		        	
		        	layer.close(index); 
		        }
		});
	 });
	 
	 window.loadCode=function(codeId){
		 form.updateInit("code-update-form",{
			 url:"code/get.do",
			 reqData:{codeId:codeId},
			 afterInit:function(data){
				 $("#oldFatherCodeId").val(data.fatherCodeId);
				 $("#fatherCodeName").val(data.fatherCodeName);
			 }
		 });
	 };
	
	 var ajaxFun=function(url,reqData){
		 page.ajax({
			 url:url,
			 data:reqData
		 },function(resp){
			 if(!resp.success){
				 layer.msg(resp.exception);
			 }
			 else{
				 if(reqData.action=="del"){
					 form.clear("code-update-form");
				 }
				 else if(reqData.action=="add"){
					 loadCode(resp.data);
				 }
				 layer.msg("操作成功");
				 window.frames["treefrm"].refreshNode(reqData.superId);
			 }
		 },function(){
			 layer.msg("网络请求出现错误");
		 });
	 }
	 
	 form.on('submit', function(data){
		 var actionMap={savebtn:"update",addbtn:"add",delbtn:"del"};
		 var reqData=data.field;
		 reqData["action"]=actionMap[data.elem.name];
		 var url="code/save.do";
		 if(data.elem.name=="delbtn"){
			 layer.confirm("确定要删除该编码及下属编码吗？", {icon: 3, title:'提示'}, function(index){
				 ajaxFun(url,reqData);
				 layer.close(index);
			 });
			
		 }
		 else{
			 ajaxFun(url,reqData);
		 }
		 
	 });
});