layui.use(['element','myform','page','layer'], function () {
	 var element = layui.element
	 ,$=layui.jquery
	 ,form=layui.myform
	 ,page=layui.page
	 ,layer = layui.layer
	 ;
	 
	
	 $(function(){
		
		 page.ajax({
			 url:"config/get.do",
		 },function(resp){
			 if(!resp.success){
				 layer.msg(resp.exception);
			 }
			 else{
				 var data=resp.data;
				 for(var key in data){
					 $("#"+key).val(data[key]);
					 
				 }
			 }
		 },function(){
			 layer.msg("网络请求出现错误");
		 });
		 
	 });
	 
	 form.on('submit(submit-filter-oilRatio)', function(data){
		 let formdata=form.val('form-filter-oilRatio');
		 if(formdata['monthSplitDay']!=''){
			 let day=parseInt(formdata['monthSplitDay']);
			 if(day<1||day>28){
				 layer.msg("统计月份划分日应为1-28间的整数");
				 return;
			 }
		 }
		 page.ajax({
			 url:"config/save.do",
			 data:formdata
		 },function(resp){
			 if(!resp.success){
				 layer.msg(resp.exception);
			 }
			 else{
				 layer.msg("操作成功");
				
				
			 }
		 },function(){
			 layer.msg("网络请求出现错误");
		 });
	 });
	 
	 
	 
	});