layui.use(['element','layer','myform','page'], function () {
	 var element = layui.element
	 ,$=layui.jquery
	 ,form=layui.myform
	 ,layer = layui.layer
	 ,page=layui.page
	 ;
	 
	 $("#clearSuperbtn").on("click",function(){
		 $("#fatherMenuName").val("");
		 $("#fatherMenuId").val("0");
	 });
	 
	 $("#fatherMenuName").on("click",function(){
		 layer.open({
				title:'选择上级菜单',
				type:2,
				content:'menuSelTree.html',
				area:['400px','75%']
				,btn: ['确定', '取消']
		        , yes: function(index, layero){
		        	var node = window[layero.find('iframe')[0]['name']].selectedNode;
		        	if(node){
		        		$("#fatherMenuName").val(node.name);
			   		    $("#fatherMenuId").val(node.id);
		        	}
		        	
		        	layer.close(index); 
		        }
		});
	 });
	 
	 window.loadMenu=function(menuId){
		 form.updateInit("menu-update-form",{
			 url:"menu/get.do",
			 reqData:{menuId:menuId},
			 afterInit:function(data){
				 $("#oldFatherMenuId").val(data.fatherMenuId);
				 $("#fatherMenuName").val(data.fatherMenuName);  //该字段没有name属性，只能在此单独设置
			 }
		 });
	 };
	 
	 var ajaxFun=function(url,reqData){
		 page.ajax({
			 url:url,
			 data:reqData
		 },function(resp){
			 if(!resp.success){
				 layer.msg(resp.exception);
			 }
			 else{
				 if(url.indexOf("delete.do")>0){
					 form.clear("menu-update-form");
				 }
				 else if(url.indexOf("add.do")>0){
					 loadMenu(resp.data);
				 }
				 else if(url.indexOf("update.do")>0){
					 loadMenu(reqData.menuId);
				 }
				 layer.msg("操作成功");
				 window.frames["treefrm"].refreshNode(reqData.fatherMenuId);
				 if($("#oldFatherMenuId").val()!=$("#fatherMenuId").val()){
					 window.frames["treefrm"].refreshNode($("#oldFatherMenuId").val());
				 }
			 }
		 },function(){
			 layer.msg("网络请求出现错误");
		 });
	 }
	 
	 form.on('submit', function(data){
		 var urlMap={savebtn:"menu/update.do",addbtn:"menu/add.do",delbtn:"menu/delete.do"};
		 var reqData=data.field;
		 if(data.elem.name=="delbtn"){
			 layer.confirm("确定要删除该菜单及下级菜单吗？", {icon: 3, title:'提示'}, function(index){
				 ajaxFun(urlMap[data.elem.name],reqData);
				 layer.close(index);
			 });
			
		 }
		 else{
			 ajaxFun(urlMap[data.elem.name],reqData);
		 }
		 
	 });
});