layui.use(['element','mylayer','newtable','laydate','myform','page','autocomplete'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,page=layui.page
				  ,layer = layui.mylayer
				  ,laydate = layui.laydate
				  ,autocomplete = layui.autocomplete
				  ,table = layui.newtable;
				  
				  laydate.render({
					  elem: '#startDate'
					  ,type: 'date'
				  });
				  laydate.render({
					  elem: '#endDate'
					  ,type: 'date'
				  });
				
				
			
				  
				  table.render({
				  					 elem:'#LAY-tab-oil',
				  					 height:'full-110',
				  					 url:'vol/query.do',
				  					 page:true,
				  					 limit:50,
				  					 limits:[50,100,200],
				  					 cols:[[
										 {type: 'numbers', title: '序号', width: 50,fixed: 'left',rowspan:2},
										 {field: 'customNum', title: '自编号', width:80,fixed: 'left',rowspan:2},
										 {field: 'carNum', title: '牌照号', width:120,fixed: 'left',rowspan:2},
				  						 {field: 'addTime', title: '加油时间', width:180,align:'center',fixed: 'left',rowspan:2},
				  						 {field: 'addCount', title: '加油量(L)', width:100,align:'right',fixed: 'left',rowspan:2},
				  						 {field: 'boxCount', title: '油箱数量', width:90,align:'center',fixed: 'left',rowspan:2},
				  						 {field: 'meterHeightVol', title: '油箱1', align:'center',colspan:3},
				  						 {field: 'volumeRatio', title: '油箱2',align:'center',colspan:3},
				  						 {field: 'modifyTime', title: '更新时间', width:180,align:'center',rowspan:2},
				  						 {field: 'note', title: '备注', width:200,align:'center',rowspan:2},
										 {field: 'operation', title: '操作', align:'left',width:240,templet:'#toolbar',rowspan:2}],
										 [
										  	{field: 'meterVol', title: '测量加油量(L)', width:120,align:'center'},
										  	{field: 'volumeRatio', title: '测算系数', width:100,align:'center'},
										  	{field: 'volumeRatioInUs', title: '在用系数', width:100,align:'center'},
										  	{field: 'meterVol2', title: '测量加油量(L)', width:120,align:'center'},
										  	{field: 'volumeRatio2', title: '测算系数', width:100,align:'center'},
										  	{field: 'volumeRatioInUs2', title: '在用系数', width:100,align:'center'}
										  	
				  						
				  					 ]]
							    });
				
				  
				    $(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){
					
				    	table.query("LAY-tab-oil",form.val("my-query-form"));
				    	
					});	
				    
					$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
						form.clear("my-query-form");
					});	
					
					$("#addbtn").on("click",function(){
						layer.open({
							title:'新增记录',
							type:2,
							content:'oilAddLogUpdate.html',
							area:['80%','80%']
							,maxmin :true
							,btn: ['提交', '取消']
							, yes: function(index, layero){
						    	var win=window[layero.find('iframe')[0]['name']];
						    	win.submitForm();
						    }
						    ,beforeClose:function(ifrmWin,obj){
						    	if(ifrmWin.success){
						    		table.refresh("LAY-tab-oil");
						    	}
						    	return true;
						    }
							
						});
					});
					
					table.on('tool(filter-tab-oil)', function(obj){ 
						var data = obj.data;
						var layEvent = obj.event; 
						if(layEvent === 'edit'){ 
							layer.open({
								title:'编辑记录',
								type:2,
								content:'oilAddLogUpdate.html?id='+encodeURI(data.id),
								area:['80%','80%']
								,btn: ['提交', '取消']
							    , yes: function(index, layero){
							    	var win=window[layero.find('iframe')[0]['name']];
							    	win.submitForm();
							    }
								,beforeClose:function(ifrmWin,obj){
							    	if(ifrmWin.success){
							    		table.refresh("LAY-tab-oil");
							    	}
							    	return true;
							    }
								,maxmin :true
							});
						}
						else if(layEvent === 'del'){
							layer.confirm("确定要删除该记录吗？", {icon: 3, title:'提示'}, function(index){
								page.ajax({
									 url:"vol/delete.do",
									 data:{id:data.id}
								 },function(resp){
									 if(!resp.success){
										 layer.msg(resp.exception);
									 }
									 else{
										 layer.msg("操作成功");
										 table.refresh("LAY-tab-oil");
									 }
								 },function(){
									 layer.msg("网络请求出现错误");
								 });
								layer.close(index);
							}) ;
						}
						else if(layEvent === 'relate'){
							layer.open({
								title:'查找对应监测加油记录',
								type:2,
								content:'oilAddLogRelateMeter.html?id='+encodeURI(data.id),
								area:['80%','80%']
								,maxmin :true
								,beforeClose:function(ifrmWin,obj){
									if(obj&&obj.success){
							    		table.refresh("LAY-tab-oil");
							    	}
							    	return true;
							    }
							});
						}
						else if(layEvent === 'startUs'){
							/*let selHtml=[];
							selHtml.push('<div style="margin:20px;display:flex;flex-flow:row nowrap;justify-content:space-around;">');
							selHtml.push('<span>'+data.carNum+'</span>');
							selHtml.push('<select name="ratioSel" style="width:200px;height:30px;">');
							selHtml.push('<option value="1">用本次系数</option>');
							selHtml.push('<option value="4">最近4次平均系数</option>');
							selHtml.push('<option value="6">最近6次平均系数</option>');
							selHtml.push('</select>');
							selHtml.push('</div>');*/
							$("#dialogCarNum").text(data.carNum);
							layer.open({
								title:'启用系数',
								type:1,
								content: $('#usDialog'), //selHtml.join(""),
								area:['500px','300px'],
								maxmin :true,
								btn: ['提交', '取消'],
								yes: function(index, layero){
									let calModeVal=$('#usDialog').find("#calMode").val();
									page.ajax({
										 url:"vol/usRatio.do",
										 data:{carNum:data.carNum,calMode:calModeVal}
									 },function(resp){
										 if(!resp.success){
											 layer.msg(resp.exception);
										 }
										 else{
											 layer.msg("操作成功");
											 layer.close(index);
											 table.refresh("LAY-tab-oil");
										 }
									 },function(){
										 layer.msg("网络请求出现错误");
									 }
									);
								}
								
								
							});
						}
						
						
					});
				
				
				
		});