layui.use(['element','mylayer','newtable','laydate','myform','page','autocomplete'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,page=layui.page
				  ,layer = layui.mylayer
				  ,laydate = layui.laydate
				  ,autocomplete = layui.autocomplete
				  ,table = layui.newtable;
				  
				  laydate.render({
					  elem: '#startDate'
					  ,type: 'date'
				  });
				  laydate.render({
					  elem: '#endDate'
					  ,type: 'date'
				  });
				
				
				  var urlParams=page.getURLParams();
				  
				  page.ajax({
						 url:"vol/get.do",
						 data:{id:urlParams.id}
					 },function(resp){
						 if(!resp.success){
							 layer.msg(resp.exception);
						 }
						 else{
							 $("#realLog").append('<span>车牌：'+resp.data.carNum+'</span><span> 加油量：'+resp.data.addCount+'</span><span>加油时间：'+resp.data.addTime+"</span>");
						 }
					 },function(){
						 layer.msg("网络请求出现错误");
					 });
			
				  
				  table.render({
				  					 elem:'#LAY-tab-oil',
				  					 height:'full-110',
				  					 url:'vol/loadMeterAddLog.do',
				  					 where:{id:urlParams.id},
				  					 page:false,
				  					 limit:50,
				  					 limits:[50,100,200],
				  					 cols:[[
										 {type: 'numbers', title: '序号', width: 50},
										 {type: 'checkbox', title: '选择', width: 50},
										 {field: 'dtuNum', title: '设备识别码', width:120},
										 {field: 'boxNum', title: '油箱', width:100},
										 {field: 'diffVolume', title: '加油量(L)', width:100},
				  						 {field: 'dataTime', title: '加油时间', width:180,align:'center'}
				  					 ]]
							    });
				
				  
				    $(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){
					
				    	table.query("LAY-tab-oil",form.val("my-query-form"));
				    	
					});	
				    
					$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
						form.clear("my-query-form");
					});	
					
					
					$(".my-query-form").on("click",".cal-btn",function(evn){
						var checkStatus = table.checkStatus('LAY-tab-oil');
						if(checkStatus.data==null||checkStatus.data.length==0){
							layer.msg("请至少选择一项，再继续");
						}
						var index = layer.open({type:3,icon:1});
						page.ajax({
							 url:"vol/calculateRatio.do",
							 data:{meterLog:JSON.stringify(checkStatus.data),realLogId:urlParams.id}
						 },function(resp){
							 layer.close(index);    
							 if(!resp.success){
								 layer.msg(resp.exception);
							 }
							 else{
								 layer.msg("操作成功");
								 window.setTimeout(function(){
									 var pidx = parent.layer.getFrameIndex(window.name);
									 parent.layer.close(pidx,{success:true});
								 },1000);
							 }
						 },function(){
							 layer.close(index);    
							 layer.msg("网络请求出现错误");
						 });
					});
					
				
					
					table.on('tool(filter-tab-oil)', function(obj){ 
						var data = obj.data;
						var layEvent = obj.event; 
						if(layEvent === 'select'){
							    var index = layer.open({type:3,icon:1});
								page.ajax({
									 url:"vol/calculateRatio.do",
									 data:{meterLogId:data.id,realLogId:urlParams.id}
								 },function(resp){
									 layer.close(index);    
									 if(!resp.success){
										 layer.msg(resp.exception);
									 }
									 else{
										 layer.msg("操作成功");
										 window.setTimeout(function(){
											 var pidx = parent.layer.getFrameIndex(window.name);
											 parent.layer.close(pidx,{success:true});
										 },1000);
									 }
								 },function(){
									 layer.close(index);    
									 layer.msg("网络请求出现错误");
								 });
								
							
						}
						
						
					});
				
				
				
		});