layui.use(['element','mylayer','newtable','laydate','myform','page','autocomplete'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,page=layui.page
				  ,layer = layui.mylayer
				  ,laydate = layui.laydate
				  ,autocomplete = layui.autocomplete
				  ,table = layui.newtable;
				  
				 
				  laydate.render({
					  elem: '#startDate'
					  ,type: 'date'
				  });
				 laydate.render({
					  elem: '#endDate'
					  ,type: 'date'
				  });
				
			
				  
				  table.render({
				  					 elem:'#LAY-tab-oil',
				  					 height:'full-110',
				  					 url:'oil/queryOilException.do',
				  					 page:true,
				  					 limit:50,
				  					 limits:[50,100,200],
				  					 cols:[[
										 {type: 'numbers', title: '序号', width: '60',fixed: 'left'},
										 {field: 'customNum', title: '自编号', width:120,fixed: 'left',templet:function(d){
											 let cls=d.discardIf==1?'discard-car':'';
											 if("是"==d.customTag){
												 cls=cls+" outside-car";
											 }
											 return "<div class=\""+cls+"\">"+d.customNum+"</div>";
										 }},
										 {field: 'carNum', title: '牌照号', width:120,fixed: 'left'},
				  						 {field: 'belongOrgName', title: '所属单位', width:180,align:'center'},
				  						 {field: 'deviceName', title: '设备名称', width:220},
				  						 {field: 'deviceModel', title: '规格型号', width:260},
				  						 {field: 'oilType', title: '燃油类型', width:110,align:'center'},
				  						 {field: 'boxNum', title: '油箱编号', width:100,align:'center'},
				  						 {field: 'changeType', title: '监测内容', width:200,align:'center',templet:function(d){
											 return d.diffVolume<0?("<font color='red'>异常消耗"+Math.abs(d.diffVolume)+"升</font>"):("加油"+d.diffVolume+"升");
										 }},
				  						 {field: 'dataTime', title: '监测时间', width:180,align:'center'},
										 {field: 'oilData', title: '历史数据', align:'center',width:200,templet:'#toolbar'}
				  						 
				  						
				  					 ]]
							    });
				
				  
				    $(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){
					
				    	table.query("LAY-tab-oil",form.val("my-query-form"));
				    	
					});	
				    
					$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
						form.clear("my-query-form");
					});	
					
				
					
					table.on('tool(filter-tab-oil)', function(obj){ 
						var data = obj.data;
						var dataDate=new Date(data.dataTime.replace(/-/gi,'/'));
						var st=(dataDate.add("mi", -5)).format("yyyy-MM-dd HH:mm:ss");
						if(data.preDataTime){
							st=data.preDataTime;
						}
						var et=(dataDate.add("mi", 5)).format("yyyy-MM-dd HH:mm:ss");
						
						var layEvent = obj.event; 
						var subUrl=null;
						var urlparam="carId="+encodeURI(data.carId)+"&carNum="+encodeURI(data.carNum)+"&boxSerial="+encodeURI(data.boxSerial);
						if(layEvent === 'viewHistory'){
							urlparam+="&startDate="+encodeURI(st)+"&endDate="+encodeURI(et);
							subUrl="oilHistory.html?"+urlparam;
						}
						else if(layEvent === 'viewCurve'){
							urlparam+="&startDate="+encodeURI(st)+"&endDate="+encodeURI(et);
							subUrl="oilCurve.html?"+urlparam;
						}
						if(subUrl==null){
							return;
						}
						layer.open({
							title:'油位数据查看',
							type:2,
							content:subUrl,
							area:['80%','80%'],
							maxmin :true
						});
						
						
					});
				
				
				
		});