layui.use(['element','mylayer','newtable','laydate','myform','page'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,page=layui.page
				  ,layer = layui.mylayer
				  ,table = layui.newtable;
				  
				  
				  $("#belongOrgName").on("click",function(){
						 layer.open({
								title:'选择单位',
								type:2,
								content:'../sys/orgSelTree.html',
								area:['400px','75%']
								,btn: ['确定', '取消']
						 		,maxmin :true
						 		,cancel: function(index, layero){  //右上角关闭
						 			window[layero.find('iframe')[0]['name']].selectedNode=null;
						 		}
						 		,btn2: function(index, layero){
						 			window[layero.find('iframe')[0]['name']].selectedNode=null;
						 		}
						 		,beforeClose:function(ifrmWin){
						 			var node=ifrmWin.selectedNode;
						 			if(node){
						        		$("#belongOrgName").val(node.name);
							   		    $("#belongOrg").val(node.assistCode);
						        	}
						 			return true;
						 		}
						        
						});
				  });
				  
				 
				  
				
				  var tabOffsetTop=$(".my-query-form").height()+40;
				  table.render({
				  					 elem:'#LAY-tab-meter',
				  					 height:'full-'+tabOffsetTop,
				  					 url:'meter/query.do',
				  					 page:true,
				  					 limit:100,
				  					 limits:[50,100],
				  					 autoSort:false,
				  					 cols:[[
										 {type: 'numbers', title: '序号', width: '60',fixed: 'left'},
										 {field: 'customNum', title: '自编号', width:80,fixed: 'left',templet:function(d){
											 return d.discardIf==1?("<font color='red'>"+d.customNum+"</font>"):d.customNum;
										 }},
				  						 {field: 'carNum', title: '牌照号', width:120,fixed: 'left'},
				  						 {field: 'belongOrgName', title: '所属单位', width:180,align:'center'},
				  						 //{field: 'deviceName', title: '设备名称', width:220,sort:true},
				  						 //{field: 'deviceModel', title: '规格型号', width:260,sort:true},
				  						 {field: 'meterNum', title: '油位计识别码', width:140,align:'center'},
				  						 {field: 'boxNum', title: '油箱编号', width:100,align:'center'},
				  						 {field: 'transferType', title: '传输类型', width:110,align:'center'},
				  						 {field: 'boxName', title: '油箱规格', width:220,align:'center'},
				  						 {field: 'volumeRatio', title: '体积系数', width:100,align:'center'},
				  						 {field: 'ratioModifyTime', title: '系数设置日期', width:160,align:'center'},
				  						 {field: 'op', title: '操作', width:140,align:'center',toolbar:'#toolbar'}
				  						
				  					 ]]
							    });
				
				    $(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){
					
				    	table.query("LAY-tab-meter",form.val("my-query-form"));
				    });	
				    
					$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
						form.clear("my-query-form");
					});	
					
					$(".my-query-form").on("click",".layui-btn[lay-filter='synbtn']",function(evn){
						page.ajax({
							 url:"meter/syn.do"
						 },function(resp){
							 layer.close(loading);
							 if(!resp.success){
								 layer.msg(resp.exception);
							 }
							 else{
								 layer.msg("操作成功");
								 table.refresh("LAY-tab-meter");
							 }
						 },function(){
							 layer.close(loading);
							 layer.msg("网络请求出现错误");
						 });
						 loading = layer.msg('正在同步数据', {icon: 16, shade: 0.3, time:0});
					});	
					
					$(".my-query-form").on("click",".layui-btn[lay-filter='synCollect']",function(evn){
						page.ajax({
							 url:"meter/updateCollect.do"
						 },function(resp){
							 layer.close(loading);
							 if(!resp.success){
								 layer.msg(resp.exception);
							 }
							 else{
								 layer.msg("操作成功\n"+resp.data);
							}
						 },function(){
							 layer.close(loading);
							 layer.msg("网络请求出现错误");
						 });
						 loading = layer.msg('正在同步到采集程序', {icon: 16, shade: 0.3, time:0});
					});	
					
				
					$("#addbtn").on("click",function(){
						layer.open({
							title:'登记设备',
							type:2,
							content:'oilMeterUpdate.html',
							area:['80%','80%']
							,maxmin :true
							,btn: ['提交', '取消']
							, yes: function(index, layero){
						    	var win=window[layero.find('iframe')[0]['name']];
						    	win.submitForm();
						    }
						    ,beforeClose:function(ifrmWin,obj){
						    	if(ifrmWin.success){
						    		table.refresh("LAY-tab-meter");
						    	}
						    	return true;
						    }
							
						});
					});
					
					
					table.on('sort(filter-tab-meter)', function(obj){
						table.reload('LAY-tab-meter', {
						    initSort: obj 
						    ,where: { 
						       sortField: obj.field //排序字段
						      ,sortAction: obj.type //排序方式
						    }
						  });
					});
					
					table.on('tool(filter-tab-meter)', function(obj){ 
						var data = obj.data;
						var layEvent = obj.event; 
						if(layEvent === 'edit'){ 
							layer.open({
								title:'油量计编辑',
								type:2,
								content:'oilMeterUpdate.html?recordId='+encodeURI(data.recordId),
								area:['80%','80%']
								,btn: ['提交', '取消']
							    , yes: function(index, layero){
							    	var win=window[layero.find('iframe')[0]['name']];
							    	win.submitForm();
							    }
								,beforeClose:function(ifrmWin,obj){
							    	if(ifrmWin.success){
							    		table.refresh("LAY-tab-meter");
							    	}
							    	return true;
							    }
								,maxmin :true
							});
						}
						else if(layEvent === 'del'){
							layer.confirm("确定要删除该记录吗(只删除关联关系)？", {icon: 3, title:'提示'}, function(index){
								page.ajax({
									 url:"meter/delete.do",
									 data:{recordId:data.recordId}
								 },function(resp){
									 if(!resp.success){
										 layer.msg(resp.exception);
									 }
									 else{
										 layer.msg("操作成功");
										 table.refresh("LAY-tab-meter");
									 }
								 },function(){
									 layer.msg("网络请求出现错误");
								 });
								layer.close(index);
							}) ;
						}
						
						
						
					});
				
				
		});