layui.use(['element','mylayer','newtable','laydate','myform','page','autocomplete'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,page=layui.page
				  ,layer = layui.mylayer
				  ,laydate = layui.laydate
				  ,autocomplete = layui.autocomplete
				  ,table = layui.newtable;
				  
				 
				  laydate.render({
					  elem: '#rptMonth'
					  ,type: 'month'
				  });
				 
				  $("#belongOrgName").on("click",function(){
						 layer.open({
								title:'选择单位',
								type:2,
								content:'../sys/orgSelTree.html',
								area:['400px','75%']
								,btn: ['确定', '取消']
						 		,maxmin :true
						 		,cancel: function(index, layero){  //右上角关闭
						 			window[layero.find('iframe')[0]['name']].selectedNode=null;
						 		}
						 		,btn2: function(index, layero){
						 			window[layero.find('iframe')[0]['name']].selectedNode=null;
						 		}
						 		,beforeClose:function(ifrmWin){
						 			var node=ifrmWin.selectedNode;
						 			if(node){
						        		$("#belongOrgName").val(node.name);
							   		    $("#belongOrg").val(node.assistCode);
						        	}
						 			return true;
						 		}
						        
						});
				  });
			
				  
				  table.render({
				  					 elem:'#LAY-tab-oil',
				  					 height:'full-110',
				  					 url:'oil/queryOilMonitorRpt.do',
				  					 page:true,
				  					 limit:50,
				  					 limits:[50,100,200],
				  					 cols:[[
										 {type: 'numbers', title: '序号', width: '40',fixed: 'left'},
										 {field: 'customNum', title: '自编号', width:80,fixed: 'left',templet:function(d){
											 let cls=d.discardIf==1?'discard-car':'';
											 if("是"==d.customTag){
												 cls=cls+" outside-car";
											 }
											 return "<div class=\""+cls+"\">"+d.customNum+"</div>";
										 }},
										 {field: 'carNum', title: '牌照号', width:100,fixed: 'left'},
										 {field: 'belongOrgName', title: '所属单位', width:180,align:'center'},
				  						 {field: 'deviceName', title: '设备名称', width:220},
				  						 {field: 'deviceModel', title: '规格型号', width:260},
				  						 {field: 'boxName', title: '油箱规格(cm)', width:260},
				  						 {field: 'oilType', title: '燃油类型', width:110,align:'center'},
				  						 {field: 'boxNum', title: '油箱编号', width:100,align:'center'},
				  						 {field: 'rptMonth', title: '统计月份', width:100,align:'center'},
										 {field: 'startVolume', title: '月初油量(升)', align:'center',width:120,sort:true},
				  						 {field: 'endVolume', title: '月终油量(升)', align:'center',width:120,sort:true},
				  						 {field: 'costVolume', title: '耗油量(升)', align:'center',width:120,sort:true},
				  						 {field: 'addVolume', title: '监测加油量(升)', align:'center',width:140,sort:true},
				  						 {field: 'rptVolume', title: '上报加油量(升)', align:'center',width:140,sort:true},
				  						 {field: 'diffVolume', title: '加油量差额(升)', align:'center',width:140,sort:true},
				  						 {field: 'oilData', title: '油量数据', align:'center',width:160,templet:'#toolbar'}
				  						
				  					 ]]
							    });
				
				  
				    $(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){
					
				    	table.query("LAY-tab-oil",form.val("my-query-form"));
				    	
					});	
				    
					$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
						form.clear("my-query-form");
					});	
					
					
					$(".my-query-form").on("click",".layui-btn[lay-filter='exportbtn']",function(evn){
						layer.msg("开始导出数据");
						var args=page.buildURLParams(form.val("my-query-form"));
						console.log(args);
						window.frames['expfrm'].location='oil/exportMonitorRpt.do?'+args;
						
					});
				
					
					table.on('tool(filter-tab-oil)', function(obj){ 
						var data = obj.data;
						var layEvent = obj.event; 
						var subUrl=null;
						var urlparam="carId="+encodeURI(data.carId)+"&carNum="+encodeURI(data.carNum);
						if(layEvent === 'viewHistory'){
							subUrl="oilHistory.html?"+urlparam;
						}
						else if(layEvent === 'viewCurve'){
							subUrl="oilCurve.html?"+urlparam;
						}
						if(subUrl==null){
							return;
						}
						layer.open({
							title:'油位数据查看',
							type:2,
							content:subUrl,
							area:['80%','80%'],
							maxmin :true
						});
						
						
					});
				
				
				
		});