layui.use(['element','myform','page','layer','laytpl','validator'], function () {
	 var element = layui.element
	 ,$=layui.jquery
	 ,form=layui.myform
	 ,page=layui.page
	 ,layer = layui.layer
	 ,laytpl=layui.laytpl
	 ,validator=layui.validator
	 ;
	 
	 var workAreaFatherId='4028cde37c0b409f017c0b4245730002';
	 
	 (function initWorkQuota(){
		
		 
		 var url="standard/loadOther.do";
		 page.ajax({
			 url:url,
			 data:{workAreaFatherCode:workAreaFatherId}
		 	},function(resp){
			 if(!resp.success){
				 layer.msg(resp.exception);
			 }
			 else{
				 renderQuotaInputs(resp.data.otherQuota);
				 renderWorkAreaInputs(resp.data.workAreas);
				 //renderQuotaRiseInputs(resp.data.config);
			 }
		 },function(){
			 layer.msg("网络请求出现错误");
		 });
	 })();
	 
	//初始化定额上浮设置 
	function renderQuotaRiseInputs(data){
		$("#quotaRiseCount").val(data.quotaRiseCount||'');
		$("#quotaRiseMonths").val(data.quotaRiseMonths||'');
	}
	 
	//初始化作业区设置
	function renderWorkAreaInputs(datas){
		if(datas==null||datas.length==0){
			datas=[{},{},{},{}];
		}
		laytpl(tml_workarea.innerHTML).render(datas, function(html){
			 $("#workAreaBox").append(html);
		});
	} 
	
	//初始化发电机定额设置
	function renderQuotaInputs(datas){
		var powerQuotas=null;
		if(datas&&datas.length>0){
			/*for(var i=0,len=datas.length;i<len;i++){
				powerQuotas.push(datas[i]);
			}*/
			powerQuotas=datas;
		}
		else{
			powerQuotas=[{},{},{},{},{}];
		}
		
		laytpl(quota_power.innerHTML).render(powerQuotas, function(html){
			 $("#powerQuotaBox").append(html);
		});
		
		delete datas;
		delete powerQuotas;
	}
	
	 
	 $(function(){
		 
		 $(".layui-form").on("click",".layui-btn[lay-filter='add-workarea-btn']",function(evn){
			 laytpl(tml_workarea.innerHTML).render([{}], function(html){
				 $("#workAreaBox").append(html);
			 });
		 });
		 
		$(".layui-form").on("click",".layui-btn[lay-filter='add-powerquota-btn']",function(evn){
			 laytpl(quota_power.innerHTML).render([{}], function(html){
				 $("#powerQuotaBox").append(html);
			 });
		 });
		
		 
		 $(".layui-form").on("click",".layui-icon-delete",function(evn){
			 $(this).parents(".data-row").remove();
		 });
		 
		 $("#btmtool").on("click",".layui-btn[lay-filter='savebtn']",function(evn){
			 submitForm();
		 });
		 
		 
		 
		 
	 });
	 
	function submitForm(){
		 if(!form.verifying('standard-update-form')){
			 return;
		 }
		
		 let formdata=form.val('standard-update-form');
		 
		 //console.log(getPowerQuotas());
		 
		 //console.log(getWorkArea());
		 
		 //formdata["workQuotas"]=JSON.stringify(workQuotas);
		let powerQuotas=getPowerQuotas(),workAreas=getWorkArea();
		if((powerQuotas==null||powerQuotas.length==0)&&(workAreas==null||workAreas.length==0)){
			layer.alert("发电机定额、作业区各至少需要配置一项数据");
			return;
		}
		formdata["powerQuotas"]=JSON.stringify(powerQuotas);
		formdata["workAreas"]=JSON.stringify(workAreas);
		
		 
		var url="standard/saveOther.do";
		 page.ajax({
			 url:url,
			 data:formdata
		 },function(resp){
			 if(!resp.success){
				 layer.msg(resp.exception);
			 }
			 else{
				 layer.msg("操作成功");
			 }
		 },function(){
			 layer.msg("网络请求出现错误");
		 });
	 }
	
	
	 function getPowerQuotas(){
		 var powerQuotas=[],dm=null,qc=null,rid=null;
		 $("#powerQuotaBox .layui-row").each(function(idx,itm){
			 rid=$(itm).find("input[name='deviceModel']").data("recordid");
			 dm=$(itm).find("input[name='deviceModel']").val();
			 qc=$(itm).find("input[name='quotaCount']").val();
			 dm=dm.replace(/\s+/,'');
			 qc=qc.replace(/\s+/,'');
			 if(dm!=""&&qc!=""){
				 powerQuotas.push({"recordId":rid,"deviceModel":dm,"workHourQuota":parseFloat(qc)});
			 }
			 
		 });
		 
		 return powerQuotas;
	 }
	 
	 function getWorkArea(){
		 var areas=[],idval=null;
		 $("#workAreaBox input[name='workArea']").each(function(idx,itm){
			 idval=$(itm).data("id");
			 idval=idval&&idval!="undefined"?idval:null;
			 areas.push({codeId:idval,codeName:$(itm).val(),fatherCodeId:workAreaFatherId});
		 });
		 return areas;
	 }
	 
	 
	 
	});