layui.use(['element','mylayer','newtable','myform','validator','page'], function () {
				  var element = layui.element
				  ,$ = layui.jquery
				  ,form=layui.myform
				  ,validator=layui.validator
				  ,page=layui.page
				  ,layer = layui.mylayer
				  ,table = layui.newtable;
				  
				  form.optionsInit({
						 url:"opts/load.do",
						 config:[
						         {selectId:"quotaType",valkey:"codeName",txtkey:"codeName",pn:"fatherCodeId",pv:"4028cd5b72b593f70172b597a1240002"}
						        ]
				  });
				  
				/*  table.render({
				  					 elem:'#LAY-tab-standard',
				  					 height:'full-110',
				  					 url:'./standard/loadForCarInfo.do',
				  					 page:true,
				  					 limit:50,
				  					 cols:[[
										 {type: 'numbers', title: '序号', width:60},
				  						 {field: 'deviceName', title: '设备名称', width:260},
				  						 {field: 'deviceModel', title: '规格型号', width:300},
				  						 {field: 'quotaPower', title: '定额功率(kw)', width:140,align:'center'},
				  						 {field: 'oilType', title: '燃油类型', width:120},
				  						 {field: 'quotaType', title: '定额类型', width:140,align:'center'}
										
				  						
				  					 ]],
				  					 
							    });*/
				  var tabConfig={
		  					 elem:'#LAY-tab-standard',
		  					 height:'full-110',
		  					 url:'./standard/query.do',
		  					 page:true,
		  					 limit:50,
		  					 limits:[30,50,100],
		  					 autoSort:false,
		  					 cols:[[
								 {type: 'numbers', title: '序号', width:60,align: 'center',fixed:'left'},
		  						 {field: 'deviceName', title: '设备名称', width:180,fixed:'left',sort:true},
		  						 {field: 'deviceModel', title: '规格型号', width:320,fixed:'left',sort:true},
		  						 {field: 'quotaPower', title: '额定功率(kw)', width:160,align: 'center',fixed:'left'},
		  						 {field: 'oilType', title: '燃油类型', width:100,align: 'center',fixed:'left'},
		  						 {field: 'workHourQuota', title: '作业燃油定额(升/小时)', width:180,align: 'center'},
		  						 {field: 'workAreaQuota',title: '百公里定额(升/百公里)', width:600,align: 'center',templet:function(d){
		  							 let json=eval("("+d.workAreaQuota+")");
		  							 let html=[];
		  							 json.forEach(function(itm){
		  								html.push('【'+workAreaMap[itm.areaCode]+'：'+itm.quota+'】');
		  							 });
		  							 return html.join("");
		  							 
		  						 }}
		  						
		  					 ]]
				   };
				  
				
				  page.ajax({
						 url:"standard/loadCodesForGrid.do",
						 data:{fatherId:"4028cde37c0b409f017c0b4245730002",keyField:"codeId",valField:"codeName"}
					 },function(resp){
						 if(!resp.success){
							 layer.alert(resp.exception);
						 }
						 else{
							 workAreaMap=resp.data;
							 table.render(tabConfig);
						 }
					 },function(){
						 layer.msg("网络请求出现错误");
				  });  
				
				$(".my-query-form").on("click",".layui-btn[lay-filter='querybtn']",function(evn){
					//table.reload("LAY-tab-user");
					table.query("LAY-tab-standard",form.val("my-query-form"));
				});	
				$(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
					form.clear("my-query-form");
				});	
				
				table.on('rowDouble(tab-standard)', function(obj){
					window.selectedRecord=obj.data;
					var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
					parent.layer.close(index); 
				});
				
				
				
				$("#addbtn").on("click",function(){
					layer.open({
						title:'新增标准',
						type:2,
						content:'quotaStandardInput.html',
						area:['800px','500px']
						,maxmin :true
						,btn: ['提交', '取消']
						, yes: function(index, layero){
					    	var win=window[layero.find('iframe')[0]['name']];
					    	win.submitForm();
					    }
					    ,beforeClose:function(ifrmWin,obj){
					    	if(ifrmWin.success){
					    		table.refresh("LAY-tab-standard");
					    	}
					    	return true;
					    }
						
					});
				});
				
				
			
		});