layui.use(['element','mylayer','myform','page','jquery','laydate','formula2'], function () {
	 var element = layui.element
	 ,$=layui.jquery
	 ,form=layui.myform
	 ,layer = layui.mylayer
	 ,page=layui.page
	 ,laydate = layui.laydate
	 ,laytpl = layui.laytpl
	 ,formula=layui.formula2
	 ;
	 
	 laydate.render({
		  elem: '#startMonth'
		  ,type: 'month'
	  });
	 laydate.render({
		  elem: '#endMonth'
		  ,type: 'month'
	  });
	 
	 $("#orgName").on("click",function(){
		 layer.open({
				title:'选择单位',
				type:2,
				content:'../sys/orgSelTree.html',
				area:['400px','75%']
				,btn: ['确定', '取消']
		 		,maxmin :true
		        , yes: function(index, layero){
		        	var node = window[layero.find('iframe')[0]['name']].selectedNode;
		        	if(node){
		        		$("#orgName").val(node.name);
			   		    $("#orgAssistCode").val(node.assistCode);
		        	}
		        	
		        	layer.close(index); 
		        },
		        beforeClose:function(win){
	        	var node=win.selectedNode;
	        	if(node){
	        		$("#orgName").val(node.name);
		   		    $("#orgAssistCode").val(node.assistCode);
	        	}
	        	return true;
	          }
		});
     });
	 
	 $("button[lay-filter='querybtn']").on("click",function(){
		 query();
	 });
	 
	 $(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
			form.clear("my-query-form");
	 });
	 
	 $("button[lay-filter='exportbtn']").on("click",function(){
		 exportTableData($,"rpt/export/tableToXls.do",0,3);
		 layer.msg("开始导出");
	 });
	 
	 var loading=null;
	 var query=function(){
		 page.ajax({
			 url:"rpt/loadCarTypeConsume.do",
			 dataType:"text",
			 data:{orgName:$("#orgName").val(),orgAssistCode:$("#orgAssistCode").val(),startMonth:$("#startMonth").val(),endMonth:$("#endMonth").val()}
		  },function(resp){
			 layer.close(loading);
			 
			 if(resp.indexOf("rpt-table-box")>=0){
				 $(".rptbox").html(resp);
				 formula.start();
				 rptSizing($);
				 synchFrozenColumn($);
				 return;
			 }
			 var respObj=JSON.parse(resp);
			 
			 if(respObj.success!=null&&respObj.success==false){
				 layer.msg(respObj.exception);
				 
			 }
			 
			 
		 },function(){
			 layer.close(loading);
			 layer.msg("网络请求出现错误");
		 });
		 
		 loading = layer.msg('正在加载数据', {icon: 16, shade: 0.3, time:0});

	 }
	 
	 query();
	 
	 
});