layui.use(['element','mylayer','myform','page','jquery','laydate','formula2'], function () {
	 var element = layui.element
	 ,$=layui.jquery
	 ,form=layui.myform
	 ,layer = layui.mylayer
	 ,page=layui.page
	 ,laydate = layui.laydate
	 ,formula=layui.formula2
	 ;
	 
	 let nows=(page.getNow()).split("-");
	
	 form.val("my-query-form",{year:nows[0],month:parseInt(nows[1])});
	 
	 laydate.render({
		  elem: '#year'
		  ,type: 'year'
	  });
	 
	 
	
	 
	 $("button[lay-filter='querybtn']").on("click",function(){
		 query();
	 });
	 
	 $(".my-query-form").on("click",".layui-btn[lay-filter='clearbtn']",function(evn){
			form.clear("my-query-form");
	 });
	 
	 $("button[lay-filter='exportbtn']").on("click",function(){
		 exportTableData($,"rpt/export/tableToXls.do",3,2);
		 layer.msg("开始导出");
	 });
	 
	 $("button[lay-filter='savebtn']").on("click",function(){
		 var data=getSaveData();
		 saveSubmit(data);
	 });
	 
	 var loading=null;
	 var query=function(){
		 page.ajax({
			 url:"rpt/rptEnergyWaterSum.do",
			 dataType:"text",
			 data:{year:$("#year").val(),month:$("#month").val()}
		  },function(resp){
			 layer.close(loading);
			 if(resp.indexOf("rpt-table-box")>=0){
				 $(".rptbox").html(resp);
				 formula.start();
				 rptSizing($);
				 synchFrozenColumn($);
				 return;
			 }
			 var respObj=JSON.parse(resp);
			 
			 if(respObj.success!=null&&respObj.success==false){
				 layer.msg(respObj.exception);
				 
			 }
			 
		 },function(){
			 layer.close(loading);
			 layer.msg("网络请求出现错误");
		 });
		 
		 loading = layer.msg('正在加载数据', {icon: 16, shade: 0.3, time:0});

	 }
	 
	 function saveSubmit(submitData){
		 page.ajax({
			 url:"rpt/saveWorkload.do",
			 dataType:"json",
			 data:submitData
		  },function(resp){
			 layer.close(loading);
			 if(resp.success){
				 layer.msg("操作成功！");
				 window.setTimeout(function(){query();},1000);
			 }
			 else{
				 layer.msg(resp.exception);
			 }
			
		 },function(){
			 layer.close(loading);
			 layer.msg("网络请求出现错误");
		 });
		 
		 loading = layer.msg('正在保存数据', {icon: 16, shade: 0.3, time:0});
	 }
	 
	 function getSaveData(){
		 var wellCounts=[],industryValues=[],addedValues=[];
		 var field=null;
		 $(".workload-tab").find(".editable").each(function(idx,itm){
			 field=$(itm).data("field");
			  if(field=="wellCount"){
				 wellCounts.push($(itm).text());
			 }
			 else if(field=="industryValue"){
				 industryValues.push($(itm).text());
			 }
			 else if(field=="addedValue"){
				 addedValues.push($(itm).text());
			 }
		 });
		 var year=$(".workload-tab").attr("rptYear");
		 var records=[];
		 for(var i=1;i<=12;i++){
			 records.push({rptMonth:(year+(i<10?("-0"+i):("-"+i))+"-01"),wellCount:(wellCounts[i-1]?wellCounts[i-1]:null),industryValue:(industryValues[i-1]?industryValues[i-1]:null),addedValue:(addedValues[i-1]?addedValues[i-1]:null)});
		 }
		
		 return {jsonDatas:JSON.stringify(records),year:year};
	 }
	 
	 
	 query();
	 
	 
});