/**
 * table-excel
 */

function exportTableData($,exportUrl,title,freezeClm,freezeRow){
	var tab={};
	tab.title=title;
	tab.rowCount=$(".rptbox .tabView").find("tr").length;
	tab.columnCount=0;
	tab.freezeClm=freezeClm;
	tab.freezeRow=freezeRow;
	tab.clmWidth=[];
	tab.tds=[];
	$(".rptbox .tabView").find("tr:first-child").find("td").each(function(idx,td){
		tab.columnCount+=$(td).attr("colspan")?parseInt($(td).attr("colspan")):1;
	});
	var tabDOM=$(".rptbox .tabView")[0];
	
	var cells=null,idx=-1,csp=1;
	for(var r=0;r<tab.rowCount;r++){
		cells=tabDOM.rows[r].cells;
		idx=-1;
		for(var c=0,len=cells.length;c<len;c++){
			csp=cells[c].colSpan;
			idx+=csp;
			if(csp==1){
				tab.clmWidth[idx]=$(cells[c]).outerWidth();
			}
			
		}
	}
	
	
	var tdObj=null,val=null;
	
	$(".rptbox .tabView").find("td").each(function(idx,td){
		val=$(td).html();
		tdObj={txt:val.replace(/[\s\n\r]+/g,"")}; //val.replace(/[\s\n\r]+/g,"")
		if($(td).attr("colspan")){
			tdObj["colspan"]=parseInt($(td).attr("colspan"));
		}
		if($(td).attr("rowspan")){
			tdObj["rowspan"]=parseInt($(td).attr("rowspan"));
		}
		tab.tds.push(tdObj);
	});
	
	if(!window.hadExportDOM){
		buildExportDOM($);
	}
	
	var form=$("#expform")[0];
	form.expData.value=JSON.stringify(tab);
	form.action=exportUrl;
	form.submit();
	
}

function buildExportDOM($){
	var dom=[];
	dom.push('<form id="expform" name="expform" action="" method="post" target="expfrm">');
	dom.push('<input type="hidden" name="expData" id="expData"> ');
	dom.push('</form>');
	dom.push('<iframe name="expfrm" style="display:none;"></iframe>');
	$("body").append(dom.join(""));
	window.hadExportDOM=true;
}