/**
 * table-excel
 * 适应于表格有冻结行、列表格
 */

function exportTableData($,exportUrl,freezeClm,freezeRow){
	var tit=$(".mainHeader").text();
	tit=tit.replace(/[\s\n\r]+/g,"");
	var tab={};
	tab.title=tit;
	tab.secTitle=($(".subHeader").text()).replace(/[\s\n\r]+/g,"");
	tab.rowCount=$(".rpt-table-box>.rpt-table-header").find("tr").length+$(".rpt-table-box>.rpt-table-body").find("tr").length;
	tab.columnCount=0;
	tab.freezeClm=freezeClm;
	tab.freezeRow=freezeRow;
	tab.clmWidth=[];
	tab.tds=[];
	$(".rpt-table-box>.rpt-table-header>.rpt-table").find("tr:first-child").find("td").each(function(idx,td){
		if($(td).is("[patch]")){ //表头最后是补丁列不计算在内
			return true;
		}
		tab.columnCount+=$(td).attr("colspan")?parseInt($(td).attr("colspan")):1;
	});
	
	//获取各列宽度
	var useMap={}; //记录已占用的单元格
	var $tab=$(".rpt-table-box>.rpt-table-main>.rpt-table");
	var idx=0,clmidx=0,rowidx=0;
	var findTds=$tab.find("tr:lt(3)").find("td");
	
	for(var i=0,len=findTds.length;i<len;)
	{
		if(clmidx>=tab.columnCount){ //换行
			rowidx+=1;
			clmidx=0;
		}
		if(useMap[rowidx+"_"+clmidx]){ //已经使用过
			clmidx++;
			continue;
		}
		if(findTds[i].colSpan==1){
			tab.clmWidth[clmidx]=$(findTds[i]).outerWidth();
		}
		addUseTag(useMap,findTds[i],rowidx,clmidx);
		clmidx+=findTds[i].colSpan;
		i++;
	}
	
	
	
	//获取各列内容
	
	getTdobj($,tab.tds,$(".rpt-table-box>.rpt-table-header>.rpt-table"));
	getTdobj($,tab.tds,$(".rpt-table-box>.rpt-table-body>.rpt-table"));
	
	
	if(!window.hadExportDOM){
		buildExportDOM($);
	}
	var form=$("#expform")[0];
	form.expData.value=JSON.stringify(tab);
	form.action=exportUrl;
	form.submit();
	
}



function addUseTag(tagMap,cell,rowidx,clmidx){ 
	var rowspan=cell.rowSpan,colspan=cell.colSpan;
	for(var i=0;i<rowspan;i++){
		for(var j=0;j<colspan;j++){
			tagMap[(rowidx+i)+"_"+(clmidx+j)]=true;
		}
	}
}

function getTdobj($,hold,$tab){
	var tdObj=null,val=null;
	$tab.find("td").each(function(idx,td){
		var $td=$(td);
		if($td.is("[patch]")){
			return true;
		}
		if($td.find("div").length>0){
			val=$td.find("div").html();
		}
		else{
			val=$td.html();
		}
		tdObj={txt:val.replace(/[\s\n\r]+/g,"")}; 
		if($td.attr("colspan")){
			tdObj["colspan"]=parseInt($td.attr("colspan"));
		}
		if($td.attr("rowspan")){
			tdObj["rowspan"]=parseInt($td.attr("rowspan"));
		}
		hold.push(tdObj);
	});
	
}

function buildExportDOM($){
	var dom=[];
	dom.push('<form id="expform" name="expform" action="" method="post" target="expfrm">');
	dom.push('<input type="hidden" name="expData" id="expData"> ');
	dom.push('</form>');
	dom.push('<iframe name="expfrm" style="display:none;"></iframe>');
	$("body").append(dom.join(""));
	window.hadExportDOM=true;
}