<#setting number_format="#.####">
<div class="rptHeader">
<span class="mainHeader"></span>
</div>
<style>
#energyComparebox .rpttab-cell-0{width:100px;}
#energyComparebox .rpttab-cell-1{width:120px;}
#energyComparebox .rpttab-cell-2{width:120px;}
#energyComparebox .rpttab-cell-3{width:160px;}
#energyComparebox .rpttab-cell-4{width:100px;}
#energyComparebox .rpttab-cell-5{width:100px;}
</style>
<div class="rpt-table-box">
   <div class="rpt-table-header">
	   <table cellpadding="0" cellspacing="0" class="rpt-table" align="center">
			<tr>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">消耗量</td>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-1">计量单位</td>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-2">本年累计</td>
			<td rowspan="2"><div class="rpt-table-cell rpttab-cell-3">去年同期累计</td>
			<td colspan="2"><div class="rpt-table-cell">与去年同期对比</td>
			</tr>
			
			<tr>
			<td><div class="rpt-table-cell rpttab-cell-4">增、减（+、-）</div></td>
			<td><div class="rpt-table-cell rpttab-cell-5">幅度（%）</div></td>
			
			</tr>
		</table>
	</div>
  <div class="rpt-table-body rpt-table-main">
      <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">
			<tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">天然气</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">万标立方米</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{yearSum.wpg.ngasCount!0;m4M4}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{preYearSum.wpg.ngasCount!0;m4M4}</div></td>
			<td formula="C1-D1" decimal="4"><div class="rpt-table-cell rpttab-cell-4"></div></td>
			<td formula="(C1-D1)/D1" format=".0%"><div class="rpt-table-cell rpttab-cell-5"></div></td>
			</tr>
			
			<tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">电</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">万千瓦时</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{yearSum.wpg.powerCount!0;m4M4}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{preYearSum.wpg.powerCount!0;m4M4}</div></td>
			<td formula="C2-D2" decimal="4"><div class="rpt-table-cell rpttab-cell-4"></div></td>
			<td formula="(C2-D2)/D2" format=".0%"><div class="rpt-table-cell rpttab-cell-5"></div></td>
			</tr>
			
			<tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">汽油</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">吨</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{yearSum.oilTotal!0;m4M4}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{preYearSum.oilTotal!0;m4M4}</div></td>
			<td formula="C3-D3" decimal="3"><div class="rpt-table-cell rpttab-cell-4"></div></td>
			<td formula="(C3-D3)/D3" format=".0%"><div class="rpt-table-cell rpttab-cell-5"></div></td>
			</tr>
			
			<tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">柴油</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">吨</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{yearSum.coilTotal!0;m4M4}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{preYearSum.coilTotal!0;m4M4}</div></td>
			<td formula="C4-D4" decimal="3"><div class="rpt-table-cell rpttab-cell-4"></div></td>
			<td formula="(C4-D4)/D4" format=".0%"><div class="rpt-table-cell rpttab-cell-5"></div></td>
			</tr>
			
			<tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">液化气</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">吨</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{yearSum.wpg.lgasCount!0;m4M4}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{preYearSum.wpg.lgasCount!0;m4M4}</div></td>
			<td formula="C5-D5" decimal="3"><div class="rpt-table-cell rpttab-cell-4"></div></td>
			<td formula="(C5-D5)/D5" format=".0%"><div class="rpt-table-cell rpttab-cell-5"></div></td>
			</tr>
			
			<tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">能源消耗总量</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">吨(标煤)</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{yearSum.coals!0;m3M3}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{preYearSum.coals!0;m3M3}</div></td>
			<td formula="C6-D6" decimal="3"><div class="rpt-table-cell rpttab-cell-4"></div></td>
			<td formula="(C6-D6)/D6" format=".0%"><div class="rpt-table-cell rpttab-cell-5"></div></td>
			</tr>
			
			<tr class="dataRow">
			<td><div class="rpt-table-cell rpttab-cell-0">新鲜水消耗量</div></td>
			<td><div class="rpt-table-cell rpttab-cell-1">万立方米</div></td>
			<td><div class="rpt-table-cell rpttab-cell-2">#{yearSum.wpg.waterCount!0;m4M4}</div></td>
			<td><div class="rpt-table-cell rpttab-cell-3">#{preYearSum.wpg.waterCount!0;m4M4}</div></td>
			<td formula="C7-D7" decimal="4"><div class="rpt-table-cell rpttab-cell-4"></div></td>
			<td formula="(C7-D7)/D7" format=".0%"><div class="rpt-table-cell rpttab-cell-5"></div></td>
			</tr>
			
			</table>
	 </div>
</div>