<#setting number_format="#.####">
<div class="rptHeader">
<span class="mainHeader"></span>
</div>
<style>
#energyMthGroupbox .rpttab-cell-0{width:120px;}
#energyMthGroupbox .rpttab-cell-1{width:100px;}
#energyMthGroupbox .rpttab-cell-2{width:100px;}
#energyMthGroupbox .rpttab-cell-3{width:100px;}
#energyMthGroupbox .rpttab-cell-4{width:100px;}
#energyMthGroupbox .rpttab-cell-5{width:100px;}
#energyMthGroupbox .rpttab-cell-6{width:100px;}
#energyMthGroupbox .rpttab-cell-7{width:100px;}
#energyMthGroupbox .rpttab-cell-8{width:100px;}
#energyMthGroupbox .rpttab-cell-9{width:100px;}
#energyMthGroupbox .rpttab-cell-10{width:100px;}
#energyMthGroupbox .rpttab-cell-11{width:100px;}
#energyMthGroupbox .rpttab-cell-12{width:100px;}
#energyMthGroupbox .dbline-row .rpt-table-cell{height:40px;line-height:40px;}
#energyMthGroupbox .dbline-row .dbline-head{line-height:20px;}
</style>

<div class="rpt-table-box">
   <div class="rpt-table-header">
	   <table cellpadding="0" cellspacing="0" class="rpt-table" align="center">
		<tr>
		<td><div class="rpt-table-cell rpttab-cell-0">能源名称/月份</div></td>
		<#list months as mth>
		  <td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">${mth.month}</div></td>
		</#list>
		<td patch><div class="rpt-table-cell rpt-patch-cell"></div></td>
		</tr>
	   </table>
   </div>
   
  <div class="rpt-table-body rpt-table-main">
      <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">

		<tr class="dataRow"  data-sort="ngas">
		<td><div class="rpt-table-cell rpttab-cell-0" data-sort="ngas">天然气(万立方米)</div></td>
		<#list months as mth>
		<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].wpg.ngasCount)!0;m4M4}</div></td>
		</#list>
		</tr>
		
		<tr class="dataRow"  data-sort="power">
		<td><div class="rpt-table-cell rpttab-cell-0" data-sort="power">电(万千瓦时)</div></td>
		<#list months as mth>
		<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].wpg.powerCount)!0;m4M4}</div></td>
		</#list>
		
		</tr>
		
		<tr class="dataRow"  data-sort="oil">
		<td><div class="rpt-table-cell rpttab-cell-0" data-sort="oil">汽油(吨)</div></td>
		<#list months as mth>
		<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].oilTotal)!0;m3M3}</div></td>
		</#list>
		</tr>
		
		<tr class="dataRow"  data-sort="coil">
		<td><div class="rpt-table-cell rpttab-cell-0" data-sort="coil">柴油(吨)</div></td>
		<#list months as mth>
		<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].coilTotal)!0;m3M3}</div></td>
		</#list>
		</tr>
		
		<tr class="dataRow"  data-sort="lgas">
		<td><div class="rpt-table-cell rpttab-cell-0" data-sort="lgas">液化气(吨)</div></td>
		<#list months as mth>
		<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].wpg.lgasCount)!0;m3M3}</div></td>
		</#list>
		</tr>
		
		
		<tr class="dataRow"  data-sort="coal">
		<td><div class="rpt-table-cell rpttab-cell-0" data-sort="coal">综合(吨标煤)</div></td>
		<#list months as mth>
		<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].coals)!0;m3M3}</div></td>
		</#list>
		</tr>
		
		
		<tr class="dataRow"  data-sort="water">
		<td><div class="rpt-table-cell rpttab-cell-0"  data-sort="water">水(万立方米)</div></td>
		<#list months as mth>
		<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].wpg.waterCount)!0;m4M4}</div></td>
		</#list>
		</tr>
		
		<tr class="dataRow dbline-row" data-sort="coil100km">
			<td><div class="rpt-table-cell rpttab-cell-0 dbline-head">柴油车行驶油耗<br>(升/百公里)</div></td>
			<#list months as mth>
			<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].indConsume.coilLiter100km)!0;m3M3}</div></td>
			</#list>
		</tr>
		
		<tr class="dataRow dbline-row"  data-sort="coilWellCount">
			<td><div class="rpt-table-cell rpttab-cell-0 dbline-head">柴油车井次油耗<br>(升/井次)</div></td>
			<#list months as mth>
			<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].indConsume.coilLiterWellCount)!0;m3M3}</div></td>
			</#list>
		</tr>
		
		
		<tr class="dataRow dbline-row" data-sort="oil100km">
			<td><div class="rpt-table-cell rpttab-cell-0 dbline-head">汽油车行驶油耗<br>(升/百公里)</div></td>
			<#list months as mth>
			<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].indConsume.oilLiter100km)!0;m3M3}</div></td>
			</#list>
		</tr>
		
		
		<tr class="dataRow dbline-row" data-sort="oilWellCount">
			<td><div class="rpt-table-cell rpttab-cell-0 dbline-head">汽油车井次油耗<br>(升/井次)</div></td>
			<#list months as mth>
			<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].indConsume.oilLiterWellCount)!0;m3M3}</div></td>
			</#list>
		</tr>
		
		<tr class="dataRow dbline-row" data-sort="engineCostTon">
			<td><div class="rpt-table-cell rpttab-cell-0 dbline-head">发电机油耗<br>(吨)</div></td>
			<#list months as mth>
			<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].indConsume.engineCostTon)!0;m3M3}</div></td>
			</#list>
		</tr>
		
		<tr class="dataRow dbline-row" data-sort="engineWellCount">
			<td><div class="rpt-table-cell rpttab-cell-0 dbline-head">发电机井次油耗<br>(升/井次)</div></td>
			<#list months as mth>
			<td><div class="rpt-table-cell rpttab-cell-${mth_index+1}">#{(ds['${mth.monthNum}'].indConsume.engineLiterWellCount)!0;m3M3}</div></td>
			</#list>
		</tr>
		
		</table>
	</div>
</div>