<#setting number_format="#.####">
<div class="rptHeader">
 <span class="mainHeader">${rptTitle}用能用水累计同比</span>
</div>
<style>
#sumRpt .rpttab-cell-0{width:120px;}
#sumRpt .rpttab-cell-1{width:100px;}
#sumRpt .rpttab-cell-2{width:140px;}
#sumRpt .rpttab-cell-3{width:80px;}
#sumRpt .rpttab-cell-4{width:140px;}
#sumRpt .rpttab-cell-5{width:80px;}
#sumRpt .rpttab-cell-6{width:80px;}
#sumRpt .rpttab-cell-7{width:90px;}
#sumRpt .rpttab-cell-8{width:120px;}
#sumRpt .rpttab-cell-9{width:90px;}
#sumRpt .dblline-cell{height:56px;}

</style>
<div class="rpt-table-box">
  <div class="rpt-table-header">
    <table cellpadding="0" cellspacing="0" class="rpt-table" align="center">

		<tr>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-0">能源种类</div></td>
		<td rowspan="2"><div class="rpt-table-cell rpttab-cell-1" style="height:56px;">消费量<br>累计同比</div></td>
		<td colspan="2"><div class="rpt-table-cell">本年累计费用</div></td>
		<td colspan="2"><div class="rpt-table-cell">上年同期累计费用</div></td>
		<td colspan="2"><div class="rpt-table-cell">单价同比</div></td>
		<td colspan="2"><div class="rpt-table-cell">总值同比</div></td>
		</tr>
		<tr>
		<td><div class="rpt-table-cell rpttab-cell-2">单价(元/计量单位)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">总值(万元)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">单价(元/计量单位)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">总值(万元)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-6">增/减 量</div></td>
		<td><div class="rpt-table-cell rpttab-cell-7">幅度</div></td>
		<td><div class="rpt-table-cell rpttab-cell-8">增/减 量(万元)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-9">幅度</div></td>
		</tr>
     </table>
   </div>
   <div class="rpt-table-body rpt-table-main">
      <table cellpadding="0" cellspacing="0"  class="rpt-table" align="center">
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-0">天然气(万立方米)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">${(yearSum.ngasCompared)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">${(yearSum.ngasPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(yearSum.wpg.ngasCost)!0;m4M4}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">${(preYearSum.ngasPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(preYearSum.wpg.ngasCost)!0;m4M4}</div></td>
		<td formula="C1-E1" decimal="2"><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td formula="(C1-E1)/E1" format=".0%"><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td formula="D1-F1" decimal="4"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td formula="(D1-F1)/F1" format=".0%"><div class="rpt-table-cell rpttab-cell-9"></div></td>
		</tr>
		
		
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-0">电(万千瓦时)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">${(yearSum.powerCompared)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">${(yearSum.powerPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(yearSum.wpg.powerCost)!0;m4M4}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">${(preYearSum.powerPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(preYearSum.wpg.powerCost)!0;m4M4}</div></td>
		<td formula="C2-E2" decimal="2"><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td formula="(C2-E2)/E2" format=".0%"><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td formula="D2-F2" decimal="4"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td formula="(D2-F2)/F2" format=".0%"><div class="rpt-table-cell rpttab-cell-9"></div></td>
		</tr>
		
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-0">汽油(吨)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">${(yearSum.oilCompared)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">${(yearSum.oilPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(yearSum.erpkl.oilMoney)!0;m4M4}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">${(preYearSum.oilPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(preYearSum.erpkl.oilMoney)!0;m4M4}</div></td>
		<td formula="C3-E3" decimal="2"><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td formula="(C3-E3)/E3" format=".0%"><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td formula="D3-F3" decimal="4"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td formula="(D3-F3)/F3" format=".0%"><div class="rpt-table-cell rpttab-cell-9"></div></td>
		</tr>
		
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-0">柴油(吨)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">${(yearSum.coilCompared)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">${(yearSum.coilPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(yearSum.erpkl.coilMoney)!0;m4M4}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">${(preYearSum.coilPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(preYearSum.erpkl.coilMoney)!0;m4M4}</div></td>
		<td formula="C4-E4" decimal="2"><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td formula="(C4-E4)/E4" format=".0%"><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td formula="D4-F4" decimal="4"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td formula="(D4-F4)/F4" format=".0%"><div class="rpt-table-cell rpttab-cell-9"></div></td>
		</tr>
		
		
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-0">液化气（吨）</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">${(yearSum.ygasCompared)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">${(yearSum.lgasPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(yearSum.wpg.lgasCost)!0;m4M4}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">${(preYearSum.lgasPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(preYearSum.wpg.lgasCost)!0;m4M4}</div></td>
		<td formula="C5-E5" decimal="2"><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td formula="(C5-E5)/E5" format=".0%"><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td formula="D5-F5" decimal="4"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td formula="(D5-F5)/F5" format=".0%"><div class="rpt-table-cell rpttab-cell-9"></div></td>
		</tr>
		
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-0">综合能耗(吨标煤)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">${(yearSum.coalCompared)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		<td formula="sum(D1:D5)" decimal="4"><div class="rpt-table-cell rpttab-cell-3"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-4"></div></td>
		<td formula="sum(F1:F5)" decimal="4"><div class="rpt-table-cell rpttab-cell-5"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td formula="D6-F6" decimal="4"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td formula="(D6-F6)/F6" format=".0%"><div class="rpt-table-cell rpttab-cell-9"></div></td>
		</tr>
		
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-0">水(万立方米)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1">${(yearSum.waterCompared)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-2">${(yearSum.waterPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-3">#{(yearSum.wpg.waterCost)!0;m4M4}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-4">${(preYearSum.waterPrice)!''}</div></td>
		<td><div class="rpt-table-cell rpttab-cell-5">#{(preYearSum.wpg.waterCost)!0;m4M4}</div></td>
		<td formula="C7-E7" decimal="2"><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td formula="(C7-E7)/E7" format=".0%"><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td formula="D7-F7" decimal="4"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td formula="(D7-F7)/F7" format=".0%"><div class="rpt-table-cell rpttab-cell-9"></div></td>
		</tr>
		
		<tr class="dataRow">
		<td><div class="rpt-table-cell rpttab-cell-0">能源、水(万元)</div></td>
		<td><div class="rpt-table-cell rpttab-cell-1"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-2"></div></td>
		<td formula="D6+D7" decimal="4"><div class="rpt-table-cell rpttab-cell-3"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-4"></div></td>
		<td formula="F6+F7" decimal="4"><div class="rpt-table-cell rpttab-cell-5"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-6"></div></td>
		<td><div class="rpt-table-cell rpttab-cell-7"></div></td>
		<td formula="D8-F8" decimal="4"><div class="rpt-table-cell rpttab-cell-8"></div></td>
		<td formula="(D8-F8)/F8" format=".0%"><div class="rpt-table-cell rpttab-cell-9"></div></td>
		</tr>
		
	 </table>
	</div>
</div>